
gfx/2d/blender_180
{
	nopicmip
	{
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		map gfx/2d/blender_180.tga
	}
}


gfx/2d/cpmaicon_180
{
	nopicmip
	{
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		map gfx/2d/cpmaicon_180.tga
	}
}


sprites/particleblob
{
	nopicmip
	{
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		clampmap sprites/particleblob.tga
		rgbgen vertex
	}
}


sprites/particlesmoke
{
	nopicmip
	{
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		clampmap sprites/particlesmoke.tga
		rgbgen vertex
	}
}


sprites/particlesharp
{
	nopicmip
	{
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		clampmap sprites/particlesharp.tga
		rgbgen vertex
	}
}


bulletExplosionNPM
{
	nopicmip
	cull disable
	{
		animmap 5 models/weaphits/bullet1.tga models/weaphits/bullet2.tga models/weaphits/bullet3.tga gfx/colors/black.tga
		rgbGen wave inversesawtooth 0 1 0 5
		blendfunc add
	}
	{
		animmap 5 models/weaphits/bullet2.tga models/weaphits/bullet3.tga gfx/colors/black.tga gfx/colors/black.tga
		rgbGen wave sawtooth 0 1 0 5
		blendfunc add
	}
}


grenadeCPMA_NPM
{
	nopicmip
	cull disable
	{
		map models/ammo/grenadecpma.tga
		rgbGen identity
	}
}


railCoreNPM
{
	nopicmip
	sort nearest
	cull none
	{
		map gfx/misc/railcorethin_mono.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
	}
}

railExplosionNPM
{
	nopicmip
	cull disable
	{
		animmap 5 models/weaphits/ring02_1.tga models/weaphits/ring02_2.tga models/weaphits/ring02_3.tga models/weaphits/ring02_4.tga gfx/colors/black.tga
		alphaGen wave inversesawtooth 0 1 0 5
		blendfunc blend
	}
	{
		animmap 5 models/weaphits/ring02_2.tga models/weaphits/ring02_3.tga models/weaphits/ring02_4.tga gfx/colors/black.tga gfx/colors/black.tga
		alphaGen wave sawtooth 0 1 0 5
		blendfunc blend
	}
}


bfgExplosionNPM
{
	nopicmip
	cull disable
	{
		animmap 5 models/weaphits/bfgboom/bfgboom_1.tga models/weaphits/bfgboom/bfgboom_2.tga models/weaphits/bfgboom/bfgboom_3.tga
		rgbGen wave inversesawtooth 0 1 0 5
		blendfunc add
	}
	{
		animmap 5 models/weaphits/bfgboom/bfgboom_2.tga models/weaphits/bfgboom/bfgboom_3.tga gfx/colors/black.tga
		rgbGen wave sawtooth 0 1 0 5
		blendfunc add
	}
}


//// 99u2


lightningBoltNPM
{
	nopicmip
	cull none
	{
		map gfx/misc/lightning3.tga
		blendFunc GL_ONE GL_ONE
		rgbgen wave sin 1 0.5 0 7.1
		tcmod scale  2 1
		tcMod scroll -5 0
	}
	{
		map gfx/misc/lightning3.tga
		blendFunc GL_ONE GL_ONE
		rgbgen wave sin 1 0.8 0 8.1
		tcmod scale  -1.3 -1
		tcMod scroll -7.2 0
	}
}


chatNPM
{
	nopicmip
	{
		map sprites/balloon4.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}


//// 99v7


bloodExplosionNPM
{
	nopicmip
	nomipmaps
	cull disable
	{
		animmap 5 models/weaphits/blood201.tga models/weaphits/blood202.tga models/weaphits/blood203.tga models/weaphits/blood204.tga models/weaphits/blood205.tga
		blendfunc blend
	}
}


smokePuffNPM
{
	nopicmip
	nomipmaps
	cull disable
	entityMergable		// allow all the sprites to be merged together
	{
		map gfx/misc/smokepuff3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}


shotgunSmokePuffNPM
{
	nopicmip
	nomipmaps
	cull disable
	{
		map gfx/misc/smokepuff2b.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen entity		
		rgbGen entity
	}
}


sprites/plasma1NPM
{
	nopicmip
	nomipmaps
	cull disable
	{
		clampmap sprites/plasmaa.tga
		blendfunc GL_ONE GL_ONE
		tcMod rotate 931
	}
}


plasmaExplosionNPM
{
	nopicmip
	nomipmaps
	cull disable
	{
		clampmap models/weaphits/plasmaboom.tga
		blendfunc add
		tcMod stretch triangle .6 0.1 0 8
		tcmod rotate 999
		rgbGen wave inversesawtooth 0 1 0 1.5
	}
}


//// 99w3


markShadowNPM
{
	nopicmip
	nomipmaps
	polygonOffset
	{
		map gfx/damage/shadow.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen exactVertex
	}	
}


//// 1.2


activeSpawn
{
	nopicmip
	deformVertexes wave 100 sin 0 0 0 0
	{
		map textures/effects/SPactive.jpg
		tcGen environment
		tcMod turb 0 0.15 0 0.3
		tcmod rotate 333
		tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
		rgbGen entity
	}
}


inactiveSpawn
{
	nopicmip
	{
		map textures/effects/SPinactive.jpg
		blendfunc GL_ONE GL_ONE
		tcMod turb 0 0.15 0 0.25
		tcGen environment
		rgbGen entity
	}
}


models/ammo/rocketnpm/rockfls1npm
{
	nopicmip
	cull disable
	{
		map models/ammo/rocketnpm/rockfls1npm.tga
		blendfunc GL_ONE GL_ONE
	}
}
models/ammo/rocketnpm/rockflarnpm
{
	nopicmip
	cull disable
	{
		map models/ammo/rocketnpm/rockflarnpm.tga
		blendfunc GL_ONE GL_ONE
	}
}
models/ammo/rocketnpm/rocketfnnpm
{
	nopicmip
	{
		map models/ammo/rocketnpm/rocketfnnpm.tga
	}
}
models/ammo/rocketnpm/rocketnpm
{
	nopicmip
	{
		map models/ammo/rocketnpm/rocketnpm.tga
	}
}


//// 1.34

// hemostick/runningman yummy explosions

rocketExplosion
{
	cull disable
	{
		animmap 16 models/weaphits/rlboom/rlboom_1.jpg models/weaphits/rlboom/rlboom_2.jpg models/weaphits/rlboom/rlboom_3.jpg models/weaphits/rlboom/rlboom_4.jpg models/weaphits/rlboom/rlboom_5.jpg models/weaphits/rlboom/rlboom_6.jpg models/weaphits/rlboom/rlboom_7.jpg models/weaphits/rlboom/rlboom_8.jpg
		rgbGen wave inversesawtooth 0 1 0 16
		blendfunc add
	}
	{
		animmap 16 models/weaphits/rlboom/rlboom_2.jpg models/weaphits/rlboom/rlboom_3.jpg models/weaphits/rlboom/rlboom_4.jpg models/weaphits/rlboom/rlboom_5.jpg models/weaphits/rlboom/rlboom_6.jpg models/weaphits/rlboom/rlboom_7.jpg models/weaphits/rlboom/rlboom_8.jpg gfx/colors/black.tga
		rgbGen wave sawtooth 0 1 0 16
		blendfunc add
	}
}

rocketExplosionNPM
{
	nopicmip
	cull disable
	{
		animmap 16 models/weaphits/rlboom/rlboom_1.jpg models/weaphits/rlboom/rlboom_2.jpg models/weaphits/rlboom/rlboom_3.jpg models/weaphits/rlboom/rlboom_4.jpg models/weaphits/rlboom/rlboom_5.jpg models/weaphits/rlboom/rlboom_6.jpg models/weaphits/rlboom/rlboom_7.jpg models/weaphits/rlboom/rlboom_8.jpg
		rgbGen wave inversesawtooth 0 1 0 16
		blendfunc add
	}
	{
		animmap 16 models/weaphits/rlboom/rlboom_2.jpg models/weaphits/rlboom/rlboom_3.jpg models/weaphits/rlboom/rlboom_4.jpg models/weaphits/rlboom/rlboom_5.jpg models/weaphits/rlboom/rlboom_6.jpg models/weaphits/rlboom/rlboom_7.jpg models/weaphits/rlboom/rlboom_8.jpg gfx/colors/black.tga
		rgbGen wave sawtooth 0 1 0 16
		blendfunc add
	}
}

grenadeExplosion
{
	cull disable
	{
		animmap 12 models/weaphits/rlboom/rlboom_1.jpg  models/weaphits/rlboom/rlboom_2.jpg models/weaphits/rlboom/rlboom_3.jpg models/weaphits/rlboom/rlboom_4.jpg models/weaphits/rlboom/rlboom_5.jpg models/weaphits/rlboom/rlboom_6.jpg models/weaphits/rlboom/rlboom_7.jpg models/weaphits/rlboom/rlboom_8.jpg
		rgbGen wave inversesawtooth 0 1 0 12
		blendfunc add
	}
	{
		animmap 12 models/weaphits/rlboom/rlboom_2.jpg models/weaphits/rlboom/rlboom_3.jpg models/weaphits/rlboom/rlboom_4.jpg models/weaphits/rlboom/rlboom_5.jpg models/weaphits/rlboom/rlboom_6.jpg models/weaphits/rlboom/rlboom_7.jpg models/weaphits/rlboom/rlboom_8.jpg gfx/colors/black.tga
		rgbGen wave sawtooth 0 1 0 12
		blendfunc add
	}
}

grenadeExplosionNPM
{
	cull disable
        nopicmip
	{
		animmap 12 models/weaphits/rlboom/rlboom_1.jpg  models/weaphits/rlboom/rlboom_2.jpg models/weaphits/rlboom/rlboom_3.jpg models/weaphits/rlboom/rlboom_4.jpg models/weaphits/rlboom/rlboom_5.jpg models/weaphits/rlboom/rlboom_6.jpg models/weaphits/rlboom/rlboom_7.jpg models/weaphits/rlboom/rlboom_8.jpg
		rgbGen wave inversesawtooth 0 1 0 12
		blendfunc add
	}
	{
		animmap 12 models/weaphits/rlboom/rlboom_2.jpg models/weaphits/rlboom/rlboom_3.jpg models/weaphits/rlboom/rlboom_4.jpg models/weaphits/rlboom/rlboom_5.jpg models/weaphits/rlboom/rlboom_6.jpg models/weaphits/rlboom/rlboom_7.jpg models/weaphits/rlboom/rlboom_8.jpg gfx/colors/black.tga
		rgbGen wave sawtooth 0 1 0 12
		blendfunc add
	}
}


//// 1.50


redSpawn
{
	nopicmip
	{
		map textures/effects/SPred.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb 0 0.15 0 0.25
		tcGen environment
		rgbGen entity
	}
}

blueSpawn
{
	nopicmip
	{
		map textures/effects/SPblue.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb 0 0.15 0 0.25
		tcGen environment
		rgbGen entity
	}
}

brightInactiveSpawn
{
	nopicmip
	deformVertexes wave 100 sin 0 0 0 0
	{
		map textures/effects/SPinactiveb.tga
		tcGen environment
		tcMod turb 0 0.15 0 0.3
		tcmod rotate 333
		tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
		rgbGen entity
	}
}

brightRedSpawn
{
	nopicmip
	deformVertexes wave 100 sin 0 0 0 0
	{
		map textures/effects/SPredb.tga
		tcGen environment
		tcMod turb 0 0.15 0 0.3
		tcmod rotate 333
		tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
		rgbGen entity
	}
}

brightBlueSpawn
{
	nopicmip
	deformVertexes wave 100 sin 0 0 0 0
	{
		map textures/effects/SPblueb.tga
		tcGen environment
		tcMod turb 0 0.15 0 0.3
		tcmod rotate 333
		tcmod scroll .3 .3
		blendfunc GL_ONE GL_ONE
		rgbGen entity
	}
}

brightInitialRedSpawn
{	
	nopicmip
	{
		map textures/effects/SPredb.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen entity
	}
}

brightInitialBlueSpawn
{
	nopicmip
	{
		map textures/effects/SPblueb.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen entity
	}
}


//// 1.52


gfx/2d/recordingpulse
{
	nopicmip
	{
		map gfx/2d/recording
		blendFunc blend
		rgbGen vertex
		alphaGen wave triangle 0.6 0.2 0.25 0.25
	}
}


//// 1.53


hud/lowhp
{
	nopicmip
	{
		map gfx/2d/grad_right.tga
		rgbGen const ( 1 0 0 )
		blendFunc blend
		alphaGen wave sin 0.85 0.15 0 7
	}
}


chatNPM_1
{
	nopicmip
	{
		map sprites/chat01.tga
		blendFunc blend
	}
}

chatNPM_2
{
	nopicmip
	{
		map sprites/chat02.tga
		blendFunc blend
	}
}

chatNPM_3
{
	nopicmip
	{
		map sprites/chat03.tga
		blendFunc blend
	}
}

chatNPM_4
{
	nopicmip
	{
		map sprites/chat04.tga
		blendFunc blend
	}
}

chatNPM_5
{
	nopicmip
	{
		map sprites/chat05.tga
		blendFunc blend
	}
}

chatNPM_6
{
	nopicmip
	{
		map sprites/chat06.tga
		blendFunc blend
	}
}

chatNPM_7
{
	nopicmip
	{
		map sprites/chat07.tga
		blendFunc blend
	}
}

chatNPM_8
{
	nopicmip
	{
		map sprites/chat08.tga
		blendFunc blend
	}
}

chatNPM_9
{
	nopicmip
	{
		map sprites/chat09.tga
		blendFunc blend
	}
}

chatNPM_10
{
	nopicmip
	{
		map sprites/chat10.tga
		blendFunc blend
	}
}

chatNPM_11
{
	nopicmip
	{
		map sprites/chat11.tga
		blendFunc blend
	}
}

chatNPM_12
{
	nopicmip
	{
		map sprites/chat12.tga
		blendFunc blend
	}
}

chatNPM_13
{
	nopicmip
	{
		map sprites/chat13.tga
		blendFunc blend
	}
}

chatNPM_14
{
	nopicmip
	{
		map sprites/chat14.tga
		blendFunc blend
	}
}

chatNPM_15
{
	nopicmip
	{
		map sprites/chat15.tga
		blendFunc blend
	}
}

chatNPM_16
{
	nopicmip
	{
		map sprites/chat16.tga
		blendFunc blend
	}
}
