//Miscaellaneous sprites etc.


sprites/foe
{
	nopicmip
	sort 13
	{
		map sprites/foe2.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

// wake is the mark on water surfaces for paddling players
wake
{
	q3map_cnq3_depthFade 4 0
	nopicmip
	{
		clampmap sprites/splash.tga
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
        tcmod rotate 250
        tcMod stretch sin .9 0.1 0 0.7
		rgbGen wave sin .7 .3 .25 .5
	}	
    {
		clampmap sprites/splash.tga
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
        tcmod rotate -230
        tcMod stretch sin .9 0.05 0 0.9
		rgbGen wave sin .7 .3 .25 .4
	}	
}

waterBubble
{
	q3map_cnq3_depthFade 2 0
	sort underwater
	entityMergable
	cull none
	nopicmip
	{
		map sprites/bubble.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}


//Weapon Marks


gfx/damage/bullet_mrk
{
	polygonOffset
	nopicmip
	{
		map gfx/damage/bullet_mrk.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen exactVertex
	}
}

gfx/damage/burn_med_mrk
{
	polygonOffset
	nopicmip
	{
		map gfx/damage/burn_med_mrk.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen exactVertex
	}
}

gfx/damage/hole_lg_mrk
{
	polygonOffset
	nopicmip
	{
		map gfx/damage/hole_lg_mrk.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen exactVertex
	}
}

gfx/damage/plasma_mrk
{
	polygonOffset
	nopicmip
	{
		map gfx/damage/plasma_mrk.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}


//Weapon Special Case


models/weapons2/shotgun/shotgun_laser
{
	nopicmip
	{
		map	models/weapons2/shotgun/shotgun_laser.tga
		blendfunc add
	}
}

models/weaphits/electric
{
	cull none
	nopicmip
	{
		clampmap models/weaphits/electric.tga
		blendFunc GL_ONE GL_ONE
        rgbgen wave triangle .8 2 0 9
        tcMod rotate 360
	}	
    {
		clampmap models/weaphits/electric.tga
		blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1 1.4 0 9.5
        tcMod rotate -202
	}	
}

//Weapon Flares


models/weapons2/gauntlet/gauntlet3
{
	cull disable
	sort additive
	nopicmip
	{
        animmap 10 models/weapons2/gauntlet/gauntlet3.tga models/weapons2/gauntlet/gauntlet4.tga
	    blendfunc GL_ONE GL_ONE
	}
}

models/weapons2/machinegun/f_machinegun
{
	sort additive
	cull disable
	nopicmip
	{
		map	models/weapons2/machinegun/f_machinegun.tga
		blendfunc GL_ONE GL_ONE
	}
}

models/weapons2/shotgun/f_shotgun
{
	sort additive
	cull disable
	nopicmip
	{
		map	models/weapons2/shotgun/f_shotgun.tga
		blendfunc add
	}
}

models/weapons2/grenadel/f_grenadel
{
	sort additive
	cull disable
	nopicmip
	{
		map	models/weapons2/grenadel/f_grenadel.tga
		blendfunc GL_ONE GL_ONE
	}
}

models/weapons2/rocketl/f_rocketl
{
	cull disable
	sort additive
	nopicmip
	{
		map models/weapons2/rocketl/f_rocketl.tga
		blendfunc GL_ONE GL_ONE
	}
}

models/weapons2/lightning/f_lightning
{
	sort additive
	cull disable
	nopicmip
	{
		map models/weapons2/lightning/f_lightning.tga
		blendfunc GL_ONE GL_ONE
	}
}

models/weapons2/railgun/f_railgun2
{
	sort additive
	cull disable
	nopicmip
	{
		map	models/weapons2/railgun/f_railgun2.tga
		blendfunc GL_ONE GL_ONE
		rgbgen entity
	}
}

models/weapons2/plasma/f_plasma
{
	cull disable
	sort additive
	nopicmip
	{
		map models/weapons2/plasma/f_plasma.tga
		blendfunc GL_ONE GL_ONE
	}
}

models/weapons2/bfg/f_bfg
{
	sort additive
	cull disable
	nopicmip
	{
		clampmap models/weapons2/bfg/f_bfg.tga
		blendfunc GL_ONE GL_ONE         
        tcmod rotate 360              
    }
    {
		clampmap models/weapons2/bfg/f_bfg2.tga
		blendfunc GL_ONE GL_ONE
        tcmod rotate -129
    } 
}
