//from q3base - used in a bunch of these
textures/gothic_block/blocks15_blue
{
	nopicmip
	{
		map textures/gothic_block/blocks15_blue.tga
	}
}

textures/gothic_trim/window_pitted_rust
{
	nopicmip
	{
		map textures/gothic_trim/window_pitted_rust.tga
	}
}


//q3w1
textures/skies/toxicskytim_blue
//used in tim_ctf1 blue
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun	.5 .6 .8 100 70 60
	q3map_surfacelight 120

	qer_editorimage textures/skies/toxicbluesky.tga

	skyparms - 512 -
	nopicmip
	//cloudparms 512 full
	{
		map textures/skies/bluedimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/skies/topclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}
//to do: jumppad textures


//q3w2
//tim_km2 sky in q3base

//q3w3

textures/ctf_q3w/cas_killsky
{
	qer_editorimage textures/skies/stars.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 3 2 2 70 315 40
	q3map_surfacelight 160
	skyparms - 512 -
	nopicmip

	{
		map textures/skies/killsky_1.tga
		tcMod scroll 0.05 .1
		tcMod scale 2 2
		depthWrite
	}
	{
		map textures/skies/killsky_2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.06
		tcMod scale 3 2
	}
}

//q3w4
//to do: LIGHTS



//q3w5

textures/ssctf4/s_ssctf4sky
{
	q3map_lightimage textures/skies/stars_red.tga
	qer_editorimage textures/skies/killsky_1.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_globaltexture
	q3map_lightsubdivide 512 

	// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
	q3map_sun .5 .37 .19 70 314 85

	q3map_surfacelight 80
	skyparms - 512 -
	nopicmip

	{
		map textures/skies/killsky_1.tga
		tcMod scroll 0.05 .1
		tcMod scale 2 2
		depthWrite
	}
	{
		map textures/skies/killsky_2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.06
		tcMod scale 3 2
	}
}

textures/ssctf4/s_flameanim_red
{
	qer_editorimage textures/sfx/r_flame1.tga
	q3map_lightimage textures/sfx/r_flame3.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 400
	nopicmip

	{
		animMap 10 textures/sfx/r_flame1.tga textures/sfx/r_flame2.tga textures/sfx/r_flame3.tga textures/sfx/r_flame4.tga textures/sfx/r_flame5.tga textures/sfx/r_flame6.tga textures/sfx/r_flame7.tga textures/sfx/r_flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/r_flame2.tga textures/sfx/r_flame3.tga textures/sfx/r_flame4.tga textures/sfx/r_flame5.tga textures/sfx/r_flame6.tga textures/sfx/r_flame7.tga textures/sfx/r_flame8.tga textures/sfx/r_flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
//	{
//		map textures/sfx/r_flameball.tga
//		blendFunc GL_ONE GL_ONE
//		rgbGen wave sin .6 .2 0 .6	
//	}
}


textures/ssctf4/s_flameanim_blue
{
	qer_editorimage textures/sfx/b_flame7.tga
	q3map_lightimage textures/ctf_q3w/b_flame7bright.tga				  
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 400
	nopicmip

	{
		animMap 10 textures/sfx/b_flame1.tga textures/sfx/b_flame2.tga textures/sfx/b_flame3.tga textures/sfx/b_flame4.tga textures/sfx/b_flame5.tga textures/sfx/b_flame6.tga textures/sfx/b_flame7.tga textures/sfx/b_flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/b_flame2.tga textures/sfx/b_flame3.tga textures/sfx/b_flame4.tga textures/sfx/b_flame5.tga textures/sfx/b_flame6.tga textures/sfx/b_flame7.tga textures/sfx/b_flame8.tga textures/sfx/b_flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
}

textures/ssctf4/id_chain_rept
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	cull none
	nopicmip

	{
		map textures/ssctf4/id_chain_rept.tga
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc gl_dst_color gl_zero
		depthFunc equal
	}
}


//q3w6
//ugh this sky

//e_grate5 is further below - trans pm 0 vs. opaque pm 16

// jumppads aren't done. should be otherwise ok

textures/ctf_cas_l/numdecal_1
{       	
	qer_editorimage textures/ctf_cas_l/1.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/ctf_cas_l/1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ctf_cas_l/numdecal_2
{       	
	qer_editorimage textures/ctf_cas_l/2.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/ctf_cas_l/2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ctf_cas_l/numdecal_3
{       	
	qer_editorimage textures/ctf_cas_l/3.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/ctf_cas_l/3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ctf_cas_l/numdecal_4
{       	
	qer_editorimage textures/ctf_cas_l/4.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/ctf_cas_l/4.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ctf_cas_l/numdecal_5
{       	
	qer_editorimage textures/ctf_cas_l/5.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/ctf_cas_l/5.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ctf_cas_l/numdecal_6
{       	
	qer_editorimage textures/ctf_cas_l/6.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/ctf_cas_l/6.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ctf_cas_l/numdecal_7
{       	
	qer_editorimage textures/ctf_cas_l/7.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/ctf_cas_l/7.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ctf_cas_b/railing03
{
	qer_editorimage textures/ctf_cas_dc/rail03.tga
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip

	{
		map textures/ctf_cas_dc/rail03.tga
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc gl_dst_color gl_zero
		depthFunc equal
	}
}


//q3w7

textures/ssctf6/s_yucksky
{
	qer_editorimage textures/ssctf6/s_yuck.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 70
	q3map_sun 1.000000 0.615385 0.282051 100 50 70
	skyparms - 256 -
	nopicmip

	{
		map textures/ssctf6/s_yuck.tga
		tcMod scroll 0.015 0.016
		tcMod scale 3 3
		depthWrite
	}
	{
		map textures/ssctf6/s_yuck.tga
		blendFunc gl_one gl_one
		tcMod scroll 0.01 0.012
		tcMod scale 5 5
	}
}

textures/ssctf6/s_yucksky2
{
	qer_editorimage textures/ssctf6/s_yuck.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 70
	q3map_sun 1.000000 0.615385 0.282051 100 230 70
	skyparms - 256 -
	nopicmip

	{
		map textures/ssctf6/s_yuck.tga
		tcMod scroll 0.015 0.016
		tcMod scale 3 3
		depthWrite
	}
	{
		map textures/ssctf6/s_yuck.tga
		blendFunc gl_one gl_one
		tcMod scroll 0.01 0.012
		tcMod scale 5 5
	}
}

textures/ssctf6/s_light1_3K
{
	qer_editorimage textures/ssctf6/scan_light1.tga
	q3map_lightimage textures/ssctf6/scan_light1_blend.tga
	q3map_surfacelight 3000
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ssctf6/scan_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ssctf6/scan_light1_blend.tga
		rgbGen wave sin .5 .1 .1 .3 
		blendfunc GL_ONE GL_ONE
	}
}

textures/ssctf6/scan_light2
{
	qer_editorimage textures/ssctf6/scan_light2.tga
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ssctf6/scan_light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ssctf6/scan_light2_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ssctf6/s_beam_1
{
	qer_editorimage textures/ssctf6/s_beam_red.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .5
	cull none
	nopicmip

	{
		map textures/ssctf6/s_beam_red.tga
                tcMod Scroll .3 0
                blendFunc add
        }
    
}

textures/ssctf6/s_beam_2
{
	qer_editorimage textures/ssctf6/s_beam_blue.tga
    surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
    qer_trans .5
	cull none
	nopicmip

	{
		map textures/ssctf6/s_beam_blue.tga
                tcMod Scroll .3 0
                blendFunc add
        }  
}

textures/ssctf6/s_id_beamblue
{
    surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
    qer_trans .5
	cull none
	//surfaceparm nomipmaps
    nopicmip

	{
		map textures/ssctf6/s_id_beamblue.tga
                tcMod Scroll .3 0
                blendFunc add
        } 
}

textures/ssctf6/id_redlight_on
{
	qer_editorimage textures/ssctf6/id_redlight_on.tga
	q3map_lightimage textures/ssctf6/id_redlight_on.tga
	q3map_surfacelight 500
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ssctf6/id_redlight_on.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ssctf6/id_redlight_on.tga
		rgbGen wave sin .3 .1 .7 1.3 
		blendfunc GL_ONE GL_ONE
	}
}

textures/ssctf6/id_bluelight_on
{
	qer_editorimage textures/ssctf6/id_bluelight_on.tga
	q3map_lightimage textures/ssctf6/id_bluelight_on.tga
	q3map_surfacelight 500
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ssctf6/id_bluelight_on.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ssctf6/id_bluelight_on.tga
		rgbGen wave sin .3 .1 .7 1.3 
		blendfunc GL_ONE GL_ONE
	}
}

textures/ssctf6/s_ceil1_22a_4k
{
	surfaceparm nomarks
	qer_editorimage textures/base_light/ceil1_22a.tga
	q3map_surfacelight 4000
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_22a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_22a.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ssctf6/s_ceil1_30_4k
{
	surfaceparm nomarks
	qer_editorimage textures/base_light/ceil1_30
	q3map_surfacelight 4000
	light 1
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_30.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_30.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ssctf6/lightb
{
    cull disable
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm nolightmap
    nopicmip

	{
		map textures/ssctf6/lightb.tga
		blendFunc Add
		rgbGen identity
	}
}
textures/ssctf6/lightb2
{
    cull disable
    deformVertexes autoSprite
    surfaceparm trans
	surfaceparm nonsolid
    surfaceparm nolightmap
    nopicmip

	{
		map textures/ssctf6/lightb2.tga
		blendFunc Add
		rgbGen identity
	}
}

textures/ssctf6/id_rail01
{
	qer_editorimage textures/ssctf6/id_rail01.tga
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip

	{
		map textures/ssctf6/id_rail01.tga
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc gl_dst_color gl_zero
		depthFunc equal
	}
}

textures/ssctf6/s_clear_ripple2
	{
		qer_editorimage textures/liquids/pool3d_5.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5
		nopicmip

		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}

textures/ssctf6/e_grate3
{
	qer_editorimage textures/ssctf6/e_grate3.tga
	surfaceparm trans
	surfaceparm nonsolid 									//THIS IS IMPORTANT TO SHOW UP EVEN THO IT'S UGLY
	cull none
	nopicmip

	{
		map textures/ssctf6/e_grate3.tga
		tcMod scale 2 2
		blendFunc gl_one gl_zero
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc gl_dst_color gl_zero
		depthFunc equal
	}
}

textures/ssctf6/e_walllight1
{
	qer_editorimage textures/ssctf6/e_walllight1.tga
	q3map_lightimage textures/ssctf6/e_walllight1_blend.tga
	q3map_surfacelight 150
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ssctf6/e_walllight1.tga
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ssctf6/e_walllight1_blend.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .8 .3 .1 .1
	}
}

textures/ssctf6/e_trimlight2
{
	qer_editorimage textures/ssctf6/e_trimlight2.tga
	q3map_lightimage textures/ssctf6/e_trimlight2_blend.tga
	q3map_surfacelight 1000
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ssctf6/e_trimlight2.tga
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ssctf6/e_trimlight2_blend.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth .6 .1 0 7
	}
}
textures/ssctf6/e_light1
{
	qer_editorimage textures/ssctf6/e_light1.tga
	q3map_lightimage textures/ssctf6/e_light1_blend.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ssctf6/e_light1.tga
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ssctf6/e_light1_blend.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .8 .1 .1 .1
	}
}



//q3w8 does not seem worth the time :v

textures/ctf_cas_v/bounce_blue_v
{
	qer_editorimage textures/ctf_unified/qer_bounce_blue.tga
//	q3map_lightimage textures/ctf_unified/bounce_fx_blue.tga
//	q3map_surfacelight 400
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm pointlight
	q3map_novertexshadows
	nopicmip

	{
		map textures/ctf_cas_l/bounce_concrete_dk.tga
		rgbGen wave sin 0.8 0 0 1
		alphaFunc GE128
	}
	{
		map textures/ctf_unified/bounce_glow_blue.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx_blue.tga
		blendfunc add
		tcMod stretch sin 1.2 0.8 0 1.5
		rgbGen wave square 0.5 0.5 0.25 1.5
	}
}

textures/ctf_cas_v/bounce_red_v
{
	qer_editorimage textures/ctf_unified/qer_bounce_red.tga
//	q3map_lightimage textures/ctf_unified/bounce_fx_red.tga
//	q3map_surfacelight 400
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm pointlight
	q3map_novertexshadows
	nopicmip

	{
		map textures/ctf_cas_l/bounce_concrete_dk.tga
//		rgbGen vertex
		rgbGen wave sin 0.8 0 0 1
		alphaFunc GE128
	}
	{
		map textures/ctf_unified/bounce_glow_red.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx_red.tga
		blendfunc add
		tcMod stretch sin 1.2 0.8 0 1.5
		rgbGen wave square 0.5 0.5 0.25 1.5
	}
}

textures/ctf_cas_l/myportal
{
	qer_editorimage textures/common/qer_portal.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	portal
	{
		map textures/common/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		alphagen portal 600									//originally 96 units, but today's PCs can handle the distance so it doesn't pop in
		depthWrite
	}
}

textures/ctf_cas_l/ring_fx
{
	qer_editorimage textures/sfx/portal_sfx1.tga
	surfaceparm nomarks
	nopicmip

	{
		clampmap textures/sfx/portal_sfx1.tga
		blendfunc blend
		rgbGen wave sin 0.9 0.1 0 1 
		tcMod rotate 360
	}
}

textures/ctf_cas_v/caslite_v_5k
{
	qer_editorimage textures/ctf_cas_l/caslite_01.tga
	q3map_lightimage textures/ctf_cas_l/caslite_glow.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm pointlight
	q3map_surfacelight 5000
	q3map_novertexshadows
	nopicmip

	{
		map textures/ctf_cas_l/caslite_01.tga
		rgbGen wave sin 0.8 0 0 1
	}
	{
		map textures/ctf_cas_l/caslite_glow.tga
		blendfunc add
		rgbGen wave noise 0.99 0.05 0 30
	}
}

textures/ctf_cas_l/flare1 
{
	qer_editorimage textures/ctf_cas_l/flare.tga
	DeformVertexes autosprite
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	nopicmip

	{
		clampmap textures/ctf_cas_l/flare.tga
                blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.95 0.1 0 20
	}
}

textures/ctf_cas_l/flare1_nosprite 
{
	qer_editorimage textures/ctf_cas_l/flare.tga
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	nopicmip
	
	{
		map textures/ctf_cas_l/flare.tga
                blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.95 0.1 0 20
	}
}

textures/ctf_cas_l/flare_blue1
{
	qer_editorimage textures/ctf_cas_l/flare_blue.tga
	DeformVertexes autosprite
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	nopicmip
	
	{
		map textures/ctf_cas_l/flare_blue.tga
                blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.95 0.1 0 20
	}
}

textures/ctf_cas_l/flare_red1
{
	qer_editorimage textures/ctf_cas_l/flare_red.tga
	DeformVertexes autosprite
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	nopicmip
	
	{
		map textures/ctf_cas_l/flare_red.tga
                blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.95 0.1 0 20
	}
}

textures/ctf_cas_l/flare_blue_flash
{
	qer_editorimage textures/ctf_cas_l/flare_blue.tga
	DeformVertexes autosprite
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	nopicmip
	
	{
		map textures/ctf_cas_l/flare_blue.tga
                blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.95 0.1 0 20
		rgbGen wave square .95 1 0 1
	}
}

textures/ctf_cas_l/flare_red_flash
{
	qer_editorimage textures/ctf_cas_l/flare_red.tga
	DeformVertexes autosprite
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	nopicmip
	
	{
		map textures/ctf_cas_l/flare_red.tga
                blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.95 0.1 0 20
		rgbGen wave square .95 1 0.5 1
	}
}

textures/ctf_cas_l/baslt4_1_6k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 6000
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/energy_fx
{
	qer_editorimage textures/ctf_cas_l/energy.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm pointlight
	q3map_novertexshadows
	cull none
	nopicmip

	{
		map textures/ctf_cas_l/energy.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 1.5 1.3
		rgbGen wave inversesawtooth -.3 1.3 0 1.3
	}
}

textures/ctf_cas_l/tele_zap
{
	qer_editorimage textures/sfx/zap_ball.tga
	deformVertexes autoSprite
        q3map_surfacelight 150
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip

	{
		clampmap textures/ctf_cas_l/zap_ball.tga
		blendFunc GL_ONE GL_ONE
		rgbgen wave triangle 1 2 0 7
		tcMod rotate 103
	}
	{
		clampmap textures/ctf_cas_l/zap_ball2.tga
		blendFunc GL_ONE GL_ONE
		rgbgen wave sin 1 2 0 8
		tcMod rotate -180
	}
	{
		map textures/ctf_cas_l/flare03.tga
		blendFunc GL_ONE GL_ONE
		rgbgen wave sin 1 2 0 9
	}
}

textures/ctf_cas_v/banner01_blue
{
	qer_editorimage textures/ctf_unified/banner01_blue.tga
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull none
	tessSize 64
	deformVertexes wave 194 sin 0 3 0 .4
	deformVertexes normal .3 .2
	nopicmip

	{
		map textures/ctf_unified/banner01_blue.tga
		rgbGen wave sin 0.8 0 0 1
	}
	{
		map textures/sfx/shadow.tga
		tcGen environment
		blendFunc filter
	}
}

textures/ctf_cas_v/banner01_red
{
	qer_editorimage textures/ctf_unified/banner01_red.tga
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull none
	tessSize 64
	deformVertexes wave 194 sin 0 3 0 .4
	deformVertexes normal .3 .2
	nopicmip

	{
		map textures/ctf_unified/banner01_red.tga
		rgbGen wave sin 0.8 0 0 1
	}
	{
		map textures/sfx/shadow.tga
		tcGen environment
		blendFunc filter
	}
}

textures/ctf_cas_v/floor_decal_blue_v
{       	
	qer_editorimage textures/ctf_unified/floor_logo_blue.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nomarks
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/ctf_unified/floor_logo_blue.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave sin 0.8 0 0 1
		depthWrite
	}
}

textures/ctf_cas_v/floor_decal_red_v
{       	
	qer_editorimage textures/ctf_unified/floor_logo_red.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nomarks
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/ctf_unified/floor_logo_red.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave sin 0.8 0 0 1
		depthWrite
	}
}

textures/ctf_cas_v/plaque_shiny_blue_v
{
	qer_editorimage textures/ctf_unified/plaque_alpha_blue.tga
	surfaceparm nolightmap
	surfaceparm pointlight
	nopicmip

	{
		map textures/ctf_unified/blueenvmap.tga
		tcGen environment
	}
	{
		map textures/ctf_unified/plaque_alpha_blue.tga
		blendFunc GL_ONE_MINUS_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave sin 0.7 0 0 1
	}
} 

textures/ctf_cas_v/plaque_shiny_red_v
{
	qer_editorimage textures/ctf_unified/plaque_alpha_red.tga
	surfaceparm nolightmap
	surfaceparm pointlight
	nopicmip

	{
		map textures/ctf_unified/redenvmap.tga
		tcGen environment
	}
	{
		map textures/ctf_unified/plaque_alpha_red.tga
		blendFunc GL_ONE_MINUS_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave sin 0.7 0 0 1
	}
} 


//casey

//nonsolid grates
textures/ctf_cas_b/e_grate5
{
	qer_editorimage textures/ctf_cas_b/e_grate5.tga
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	nopicmip

	{
		map textures/ctf_cas_b/e_grate5.tga
		tcMod scale 2 2
		blendFunc gl_one gl_zero
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc gl_dst_color gl_zero
		depthFunc equal
	}
}

textures/ctf_cas_b/e_grate5_2
{
	qer_editorimage textures/ctf_cas_b/e_grate5.tga
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	nopicmip

	{
		map textures/ctf_cas_b/e_grate5.tga
//		tcMod scale 2 2
		blendFunc gl_one gl_zero
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc gl_dst_color gl_zero
		depthFunc equal
	}
}

//lights

textures/ctf_cas_l/bulbybulb
{
	qer_editorimage textures/ctf_cas_l/bulb1.tga
	cull disable
	deformVertexes autoSprite2
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	nopicmip

	{
		map textures/ctf_cas_l/bulb1.tga
		blendFunc Add
		rgbGen identity
	}
}

textures/ctf_cas_l/bulbybulb2
{
	qer_editorimage textures/ctf_cas_l/bulb2.tga
	cull disable
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	nopicmip

	{
		map textures/ctf_cas_l/bulb2.tga
		blendFunc Add
		rgbGen identity
	}
}
textures/ctf_cas_l/caslite_1k
{
	qer_editorimage textures/ctf_cas_l/caslite_01.tga
	q3map_lightimage textures/ctf_cas_l/caslite_glow.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/caslite_3k
{
	qer_editorimage textures/ctf_cas_l/caslite_01.tga
	q3map_lightimage textures/ctf_cas_l/caslite_glow.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/caslite_5k
{
	qer_editorimage textures/ctf_cas_l/caslite_01.tga
	q3map_lightimage textures/ctf_cas_l/caslite_glow.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/caslite_6k
{
	qer_editorimage textures/ctf_cas_l/caslite_01.tga
	q3map_lightimage textures/ctf_cas_l/caslite_glow.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/caslite_8k
{
	qer_editorimage textures/ctf_cas_l/caslite_01.tga
	q3map_lightimage textures/ctf_cas_l/caslite_glow.tga
	q3map_surfacelight 8000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/caslite_10k
{
	qer_editorimage textures/ctf_cas_l/caslite_01.tga
	q3map_lightimage textures/ctf_cas_l/caslite_glow.tga
	q3map_surfacelight 10000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/caslite_15k
{
	qer_editorimage textures/ctf_cas_l/caslite_01.tga
	q3map_lightimage textures/ctf_cas_l/caslite_glow.tga
	q3map_surfacelight 15000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/caslite_15k_nonsolid
{
	qer_editorimage textures/ctf_cas_l/caslite_01.tga
	q3map_lightimage textures/ctf_cas_l/caslite_glow.tga
	q3map_surfacelight 15000
	surfaceparm nomarks
	surfaceparm nonsolid
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/caslite_20k
{
	qer_editorimage textures/ctf_cas_l/caslite_01.tga
	q3map_lightimage textures/ctf_cas_l/caslite_glow.tga
	q3map_surfacelight 20000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/caslite_20k_nonsolid
{
	qer_editorimage textures/ctf_cas_l/caslite_01.tga
	q3map_lightimage textures/ctf_cas_l/caslite_glow.tga
	q3map_surfacelight 20000
	surfaceparm nomarks
	surfaceparm nonsolid
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/caslite_25k
{
	qer_editorimage textures/ctf_cas_l/caslite_01.tga
	q3map_lightimage textures/ctf_cas_l/caslite_glow.tga
	q3map_surfacelight 25000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/caslite_25k_nonsolid
{
	qer_editorimage textures/ctf_cas_l/caslite_01.tga
	q3map_lightimage textures/ctf_cas_l/caslite_glow.tga
	q3map_surfacelight 25000
	surfaceparm nomarks
	surfaceparm nonsolid
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/caslite_40k
{
	qer_editorimage textures/ctf_cas_l/caslite_01.tga
	q3map_lightimage textures/ctf_cas_l/caslite_glow.tga
	q3map_surfacelight 40000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/caslite_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/g_light_1k
{
	qer_editorimage textures/gothic_light/gothic_light2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 1000
	nopicmip

	{
		map textures/ctf_cas_l/g_light.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
        {
		map textures/ctf_cas_l/g_light_glow.tga
		blendfunc add
		rgbGen wave noise 0.65 0.05 0.1 .3
	}
}

textures/ctf_cas_l/g_light_1500
{
	qer_editorimage textures/gothic_light/gothic_light2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 1500
	nopicmip

	{
		map textures/ctf_cas_l/g_light.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
        {
		map textures/ctf_cas_l/g_light_glow.tga
		blendfunc add
		rgbGen wave noise 0.65 0.05 0.1 .3
	}
}

textures/ctf_cas_l/g_light_2k
{
	qer_editorimage textures/gothic_light/gothic_light2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 2000
	nopicmip

	{
		map textures/ctf_cas_l/g_light.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
        {
		map textures/ctf_cas_l/g_light_glow.tga
		blendfunc add
		rgbGen wave noise 0.65 0.05 0.1 .3
	}
}

textures/ctf_cas_l/g_light_3k
{
	qer_editorimage textures/gothic_light/gothic_light2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 3000
	nopicmip

	{
		map textures/ctf_cas_l/g_light.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
        {
		map textures/ctf_cas_l/g_light_glow.tga
		blendfunc add
		rgbGen wave noise 0.65 0.05 0.1 .3
	}
}

textures/ctf_cas_l/g_light_4k
{
	qer_editorimage textures/gothic_light/gothic_light2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 4000
	nopicmip

	{
		map textures/ctf_cas_l/g_light.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
        {
		map textures/ctf_cas_l/g_light_glow.tga
		blendfunc add
		rgbGen wave noise 0.65 0.05 0.1 .3
	}
}

textures/ctf_cas_l/g_light_5k
{
	qer_editorimage textures/gothic_light/gothic_light2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 5000
	nopicmip

	{
		map textures/ctf_cas_l/g_light.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
        {
		map textures/ctf_cas_l/g_light_glow.tga
		blendfunc add
		rgbGen wave noise 0.65 0.05 0.1 .3
	}
}

textures/ctf_cas_l/g_light_6k
{
	qer_editorimage textures/gothic_light/gothic_light2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 6000
	nopicmip

	{
		map textures/ctf_cas_l/g_light.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
        {
		map textures/ctf_cas_l/g_light_glow.tga
		blendfunc add
		rgbGen wave noise 0.65 0.05 0.1 .3
	}
}

textures/ctf_cas_l/g_light_10k
{
	qer_editorimage textures/gothic_light/gothic_light2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 10000
	nopicmip

	{
		map textures/ctf_cas_l/g_light.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
        {
		map textures/ctf_cas_l/g_light_glow.tga
		blendfunc add
		rgbGen wave noise 0.65 0.05 0.1 .3
	}
}

textures/ctf_cas_l/gothic_light2_6k
{
	qer_editorimage textures/gothic_light/gothic_light2.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/gothic_light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		rgbGen wave sin .6 .1 .1 .1
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/gothic_light3_500
{
	qer_editorimage textures/gothic_light/gothic_light3.tga
	q3map_lightimage textures/gothic_light/gothic_light2_blend.tga
	q3map_surfacelight 500
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/gothic_light3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		rgbGen wave sin .6 .1 .1 .1
		blendfunc GL_ONE GL_ONE
	}

}

textures/ctf_cas_l/light1red_8000
{
	qer_editorimage textures/base_light/light1red.tga
	q3map_lightimage textures/base_light/light1red.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 8000
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/light1red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/base_light/light1red.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/ctf_cas_l/light1blue_8000
{
	qer_editorimage textures/base_light/light1blue.tga
	q3map_lightimage textures/base_light/light1blue.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 8000
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/light1blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/base_light/light1blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/flourescent_1000
{
	qer_editorimage textures/base_light/light5.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/xlight5.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/base_light/xlight5.blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.8 0.07 0 40
	}
}

textures/ctf_cas_l/flourescent_5k
{
	qer_editorimage textures/base_light/light5.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/xlight5.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/base_light/xlight5.blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.8 0.07 0 40
	}
}

textures/ctf_cas_l/flourescent_10k
{
	qer_editorimage textures/base_light/light5.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/xlight5.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/base_light/xlight5.blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.8 0.07 0 40
	}
}

textures/ctf_cas_l/patch10lite_b_100
{
	qer_editorimage textures/ctf_cas_l/patch10lite_b.tga
	q3map_surfacelight 100
	// q3map_lightsubdivide 8
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/patch10lite_b_300
{
	qer_editorimage textures/ctf_cas_l/patch10lite_b.tga
	q3map_surfacelight 300
	// q3map_lightsubdivide 8
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/patch10lite_b_500
{
	qer_editorimage textures/ctf_cas_l/patch10lite_b.tga
	q3map_surfacelight 500
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/patch10lite_b_700
{
	qer_editorimage textures/ctf_cas_l/patch10lite_b.tga
	q3map_surfacelight 700
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/patch10lite_b_1500
{
	qer_editorimage textures/ctf_cas_l/patch10lite_b.tga
	q3map_surfacelight 1500
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/patch10lite_b_3k
{
	qer_editorimage textures/ctf_cas_l/patch10lite_b.tga
	q3map_surfacelight 3000
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/patch10lite_r_100
{
	qer_editorimage textures/ctf_cas_l/patch10lite_r.tga
	q3map_surfacelight 100
	// q3map_lightsubdivide 8
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_r.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/patch10lite_r_300
{
	qer_editorimage textures/ctf_cas_l/patch10lite_r.tga
	q3map_surfacelight 300
	// q3map_lightsubdivide 8
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_r.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/patch10lite_r_500
{
	qer_editorimage textures/ctf_cas_l/patch10lite_r.tga
	q3map_surfacelight 500
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_r.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/patch10lite_r_700
{
	qer_editorimage textures/ctf_cas_l/patch10lite_r.tga
	q3map_surfacelight 700
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_r.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/patch10lite_r_1500
{
	qer_editorimage textures/ctf_cas_l/patch10lite_r.tga
	q3map_surfacelight 1500
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_r.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/patch10lite_r_3k
{
	qer_editorimage textures/ctf_cas_l/patch10lite_r.tga
	q3map_surfacelight 3000
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_r.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/patchlitedecal_r_500
{
	qer_editorimage textures/ctf_cas_l/patch10lite_r.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 500
	nopicmip

	{
		map textures/ctf_cas_l/patch10lite_r.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
        {
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendfunc add
		rgbGen wave noise 0.8 0.15 0 40
	}
}

textures/ctf_cas_l/patchlitedecal_r_1000
{
	qer_editorimage textures/ctf_cas_l/patch10lite_r.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 1000
	nopicmip

	{
		map textures/ctf_cas_l/patch10lite_r.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
        {
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendfunc add
		rgbGen wave noise 0.8 0.15 0 40
	}
}

textures/ctf_cas_l/patchlitedecal_r_1500
{
	qer_editorimage textures/ctf_cas_l/patch10lite_r.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 1500
	nopicmip

	{
		map textures/ctf_cas_l/patch10lite_r.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
        {
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendfunc add
		rgbGen wave noise 0.8 0.15 0 40
	}
}

textures/ctf_cas_l/patchlitedecal_r_3k
{
	qer_editorimage textures/ctf_cas_l/patch10lite_r.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 3000
	nopicmip

	{
		map textures/ctf_cas_l/patch10lite_r.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
        {
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendfunc add
		rgbGen wave noise 0.8 0.15 0 40
	}
}

textures/ctf_cas_l/patchlitedecal_r_4k
{
	qer_editorimage textures/ctf_cas_l/patch10lite_r.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 4000
	nopicmip

	{
		map textures/ctf_cas_l/patch10lite_r.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
        {
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendfunc add
		rgbGen wave noise 0.8 0.15 0 40
	}
}

textures/ctf_cas_l/patchlitedecal_r_5k
{
	qer_editorimage textures/ctf_cas_l/patch10lite_r.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 5000
	nopicmip

	{
		map textures/ctf_cas_l/patch10lite_r.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
        {
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendfunc add
		rgbGen wave noise .8 .15 0 40
	}
}

textures/ctf_cas_l/patchlitedecal_b_500
{
	qer_editorimage textures/ctf_cas_l/patch10lite_b.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 500
	nopicmip

	{
		map textures/ctf_cas_l/patch10lite_b.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
        {
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendfunc add
		rgbGen wave noise 0.8 0.15 0 40
	}
}

textures/ctf_cas_l/patchlitedecal_b_1000
{
	qer_editorimage textures/ctf_cas_l/patch10lite_b.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 1000
	nopicmip

	{
		map textures/ctf_cas_l/patch10lite_b.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
        {
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendfunc add
		rgbGen wave noise 0.8 0.15 0 40
	}
}

textures/ctf_cas_l/patchlitedecal_b_1500
{
	qer_editorimage textures/ctf_cas_l/patch10lite_b.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 1500
	nopicmip

	{
		map textures/ctf_cas_l/patch10lite_b.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
        {
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendfunc add
		rgbGen wave noise 0.8 0.15 0 40
	}
}

textures/ctf_cas_l/patchlitedecal_b_3k
{
	qer_editorimage textures/ctf_cas_l/patch10lite_b.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 3000
	nopicmip

	{
		map textures/ctf_cas_l/patch10lite_b.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
        {
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendfunc add
		rgbGen wave noise 0.8 0.15 0 40
	}
}

textures/ctf_cas_l/patchlitedecal_b_4k
{
	qer_editorimage textures/ctf_cas_l/patch10lite_b.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 4000
	nopicmip

	{
		map textures/ctf_cas_l/patch10lite_b.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
        {
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendfunc add
		rgbGen wave noise 0.8 0.15 0 40
	}
}

textures/ctf_cas_l/patchlitedecal_b_5k
{
	qer_editorimage textures/ctf_cas_l/patch10lite_b.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 5000
	nopicmip

	{
		map textures/ctf_cas_l/patch10lite_b.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
        {
		map textures/ctf_cas_l/patch10lite_glow.tga
		blendfunc add
		rgbGen wave noise .8 .15 0 40
	}
}

textures/ctf_cas_l/wstlt1_3k
{
	qer_editorimage textures/ctf_cas_l/wstlt1_5.tga
	q3map_lightimage textures/ctf_cas_l/wstlt1_5.blend.tga
	q3map_surfacelight 3000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/wstlt1_5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/wstlt1_5.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/wstlt1_5k
{
	qer_editorimage textures/ctf_cas_l/wstlt1_5.tga
	q3map_lightimage textures/ctf_cas_l/wstlt1_5.blend.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/wstlt1_5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/wstlt1_5.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/wstlt1_5k_white
{
	qer_editorimage textures/ctf_cas_l/wstlt1_5.tga
	q3map_lightimage textures/ctf_cas_l/white_glow.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/wstlt1_5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/wstlt1_5.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/wstlt1_8k
{
	qer_editorimage textures/ctf_cas_l/wstlt1_5.tga
	q3map_lightimage textures/ctf_cas_l/wstlt1_5.blend.tga
	q3map_surfacelight 8000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/wstlt1_5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/wstlt1_5.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/wstlt1_8k_white
{
	qer_editorimage textures/ctf_cas_l/wstlt1_5.tga
	q3map_lightimage textures/ctf_cas_l/white_glow.tga
	q3map_surfacelight 8000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/wstlt1_5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/wstlt1_5.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/wstlt1_10k
{
	qer_editorimage textures/ctf_cas_l/wstlt1_5.tga
	q3map_lightimage textures/ctf_cas_l/wstlt1_5.blend.tga
	q3map_surfacelight 10000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/wstlt1_5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/wstlt1_5.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/wstlt1_15k
{
	qer_editorimage textures/ctf_cas_l/wstlt1_5.tga
	q3map_lightimage textures/ctf_cas_l/wstlt1_5.blend.tga
	q3map_surfacelight 15000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/wstlt1_5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/wstlt1_5.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/wstlt1_15k_white
{
	qer_editorimage textures/ctf_cas_l/wstlt1_5.tga
	q3map_lightimage textures/ctf_cas_l/white_glow.tga
	q3map_surfacelight 15000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/wstlt1_5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/wstlt1_5.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/proto_blueflash_a_400
{
	q3map_lightimage textures/ctf_cas_l/proto_lightblue.tga
	qer_editorimage textures/ctf_cas_l/proto_lightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/proto_lightblue.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/ctf_cas_l/proto_lightblue.tga
		blendFunc add
		rgbGen wave square .5 .5 0 1
	}
	
}

textures/ctf_cas_l/proto_blueflash_b_400
{
	q3map_lightimage textures/ctf_cas_l/proto_lightblue.tga
	qer_editorimage textures/ctf_cas_l/proto_lightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/proto_lightblue.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/ctf_cas_l/proto_lightblue.tga
		blendFunc add
		rgbGen wave square .5 .5 .3 1
	}
	
}

textures/ctf_cas_l/proto_blueflash_c_400
{
	q3map_lightimage textures/ctf_cas_l/proto_lightblue.tga
	qer_editorimage textures/ctf_cas_l/proto_lightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/proto_lightblue.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/ctf_cas_l/proto_lightblue.tga
		blendFunc add
		rgbGen wave square .5 .5 .6 1
	}
	
}

textures/ctf_cas_l/proto_lightblue_3
{
	qer_editorimage textures/ctf_cas_l/proto_lightblue.tga
	q3map_lightimage textures/ctf_cas_l/proto_lightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 300
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/proto_lightblue.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/ctf_cas_l/proto_lightblue.tga
		blendFunc add
	}
	
}

textures/ctf_cas_l/proto_redflash_a_400
{
	q3map_lightimage textures/base_light/proto_lightred.tga
	qer_editorimage textures/base_light/proto_lightred.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/proto_lightred.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/base_light/proto_lightred.tga
		blendFunc add
		rgbGen wave square .5 .5 0.5 1
	}
	
}

textures/ctf_cas_l/proto_redflash_b_400
{
	q3map_lightimage textures/base_light/proto_lightred.tga
	qer_editorimage textures/base_light/proto_lightred.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/proto_lightred.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/base_light/proto_lightred.tga
		blendFunc add
		rgbGen wave square .5 .5 0.8 1
	}
	
}

textures/ctf_cas_l/proto_redflash_c_400
{
	q3map_lightimage textures/base_light/proto_lightred.tga
	qer_editorimage textures/base_light/proto_lightred.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/proto_lightred.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/base_light/proto_lightred.tga
		blendFunc add
		rgbGen wave square .5 .5 0.2 1
	}
	
}

textures/ctf_cas_l/proto_lightamber_3
{
	qer_editorimage textures/ctf_cas_l/proto_lightamber.tga
	q3map_lightimage textures/ctf_cas_l/proto_lightamber.tga
	surfaceparm nomarks
	q3map_surfacelight 300
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/proto_lightamber.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/ctf_cas_l/proto_lightamber.tga
		blendFunc add
	}
	
}

textures/ctf_cas_l/proto_lightamber_1500
{
	qer_editorimage textures/ctf_cas_l/proto_lightamber.tga
	q3map_lightimage textures/ctf_cas_l/proto_lightamber.tga
	surfaceparm nomarks
	// q3map_lightsubdivide 8
	q3map_surfacelight 1500
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/proto_lightamber.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/ctf_cas_l/proto_lightamber.tga
		blendFunc add
	}
	
}

textures/ctf_cas_l/ceil1_22a_300
{
	surfaceparm nomarks
	qer_editorimage textures/base_light/ceil1_22a
	q3map_surfacelight 300
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_22a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_22a.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/ceil1_22a_500
{
	surfaceparm nomarks
	qer_editorimage textures/base_light/ceil1_22a
	q3map_surfacelight 500
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_22a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_22a.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/ceil1_22a_800
{
	surfaceparm nomarks
	qer_editorimage textures/base_light/ceil1_22a
	q3map_surfacelight 800
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_22a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_22a.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/ceil1_30_300
{
	surfaceparm nomarks
	qer_editorimage textures/base_light/ceil1_30
	q3map_surfacelight 300
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_30.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_30.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/ceil1_30_500
{
	surfaceparm nomarks
	qer_editorimage textures/base_light/ceil1_30
	q3map_surfacelight 500
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_30.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_30.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_l/ceil1_30_800
{
	surfaceparm nomarks
	qer_editorimage textures/base_light/ceil1_30
	q3map_surfacelight 800
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_30.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_30.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


//liquids
textures/ctf_cas_l/flatripplewater_80
{
	qer_editorimage textures/liquids/pool2.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 80
//	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	nopicmip
	
	{
		map textures/liquids/pool2.tga
		tcMod turb 0 .2 0 .1
	}
}

textures/ctf_cas_l/clear_calm1_nomark
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	nopicmip

	{ 
		map textures/liquids/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/liquids/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/ctf_cas_l/clear_directional
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	q3map_surfacelight 10
	q3map_lightsubdivide 16
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	cull disable
//	deformVertexes wave 64 sin .25 .25 0 .5	
	nopicmip

	{ 
		map textures/liquids/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .035 .01
	}
	{ 
		map textures/liquids/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 -.02
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/ctf_cas_l/flow01
{
	qer_editorimage textures/ctf_cas_l/flow02.tga
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm water
	deformVertexes wave 100 sin 3 2 0.1 0.1 
	cull none
	nopicmip

	{
		map textures/ctf_cas_l/flow01.tga
		rgbGen wave noise 0.9 0.15 0 0.5 
		tcMod scroll 0.1 -5
	}
	{
		map textures/ctf_cas_l/flow02.tga
		blendfunc gl_dst_color gl_one
		rgbGen wave sin 0.8 0.03 0 0.4
		tcMod scroll -0.15 -1.5
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

//skies

textures/ctf_cas_l/cas3_sky
{
	qer_editorimage textures/ctf_cas_l/qer_bigblacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_backsplash -1 32
	q3map_lightsubdivide 512
	q3map_surfacelight 20
	q3map_sun .6 .6 .6 30 35 78
	skyparms env/dek1 - -
	nopicmip

}

textures/ctf_cas_l/cas3_sky2
{
	qer_editorimage textures/ctf_cas_l/qer_bigblacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_backsplash -1 32
	q3map_lightsubdivide 1024
	q3map_surfacelight 15
	q3map_sun .6 .6 .6 30 35 78
	skyparms env/dek1 - -
	nopicmip

}

textures/ctf_cas_l/cas3_sky3
{
	qer_editorimage textures/ctf_cas_l/qer_bigblacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	skyparms env/dek1 - -
	nopicmip

}


textures/ctf_cas_g/cas6_sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	qer_editorimage textures/skies/toxicbluesky.tga
	q3map_backsplash -1 32
	q3map_lightimage textures/skies/toxicskyb.tga 
	q3map_surfacelight 150
	q3map_sun 1 1 0.8 90 100 40
	skyparms - 128 -
	nopicmip


	{
		map textures/skies/bluedimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/skies/topclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}

textures/ctf_cas_l/whitefogsky
{
	qer_editorimage textures/ctf_cas_l/fogskylight.tga
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_backsplash -1 32
	q3map_novertexshadows
	nopicmip


	{
		map textures/ctf_cas_l/white.tga
		rgbGen vertex
	}
}

textures/ctf_cas_l/scrollclouds
{
	qer_editorimage textures/ctf_cas_l/qer_dimclouds.tga
	qer_trans 0.4
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_novertexshadows
	nopicmip


	{
		map textures/ctf_cas_l/dimclouds.tga
		blendfunc add
		rgbGen vertex
		tcMod scale 0.05 0.05
		tcmod scroll -0.06 0.03
	}
}

//ctf_q3w shader

textures/ctf_q3w/flameanim_ctf_red
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 2500
	qer_editorimage textures/sfx/flame7.tga
	q3map_lightimage textures/sfx/flame7.tga
	nopicmip

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/ctf_q3w/flameanim_ctf_blue
{
	qer_editorimage textures/sfx/b_flame7.tga
	q3map_lightimage textures/ctf_q3w/b_flame7bright.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 3500
	nopicmip

	{
		animMap 10 textures/sfx/b_flame1.tga textures/sfx/b_flame2.tga textures/sfx/b_flame3.tga textures/sfx/b_flame4.tga textures/sfx/b_flame5.tga textures/sfx/b_flame6.tga textures/sfx/b_flame7.tga textures/sfx/b_flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/b_flame2.tga textures/sfx/b_flame3.tga textures/sfx/b_flame4.tga textures/sfx/b_flame5.tga textures/sfx/b_flame6.tga textures/sfx/b_flame7.tga textures/sfx/b_flame8.tga textures/sfx/b_flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
}

textures/ctf_q3w/ceil1_22a_300
{
	qer_editorimage textures/base_light/ceil1_22a
	q3map_surfacelight 500
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_22a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_22a.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_q3w/ceil1_30_300
{
	qer_editorimage textures/base_light/ceil1_30
	q3map_surfacelight 500
	light 1
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_30.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_30.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_q3w/ironcrosslt1_1000
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 1000
	light 1
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_q3w/ironcrosslt1_2000

{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 2000
	light 1
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_q3w/ironcrosslt1_2500
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 2500
	light 1
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_q3w/ironcrosslt1_3000
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 3000
	light 1
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_q3w/ironcrosslt1_3500
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 3500
	light 1
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_q3w/ironcrosslt1_4000
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 4000
	light 1
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_q3w/ironcrosslt1_5000
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 5000
	light 1
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_q3w/ironcrosslt1_10000
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 10000
	light 1
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_q3w/ironcrosslt1_20000
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 20000
	light 1
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_q3w/ironcrosslt1_30000
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 30000
	light 1
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_q3w/ironcrosslt1_40000
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 40000
	light 1
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_q3w/ironcrosslt1_500000
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 500000
	light 1
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_q3w/ironcrosslt1_120000
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 120000
	light 1
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
