



//q3wc1-8 classic2.0.shader

textures/classic2_0/clear_ripple3
	{
		qer_editorimage textures/classic2_0/pool3d_3c.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		nopicmip
		
		{ 
			map textures/classic2_0/pool3d_5c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/classic2_0/pool3d_6c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/classic2_0/pool3d_3c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}

textures/classic2_0/sky1
{
	surfaceparm noimpact
	surfaceparm nolightmap
//	surfaceparm sky
	q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/intelredclouds.tga
	q3map_surfacelight 60
	q3map_sun	1 1 0.5 15 90 90

//	cloudparms 512 full

	skyparms - 512 -
	nopicmip

	{
		map textures/skies/inteldimclouds.tga
		tcMod scroll 0.1 0.1
		tcMod scale 3 2
		depthWrite
	}
	{
		map textures/skies/intelredclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.05
		tcMod scale 3 3
	}
}

textures/classic2_0/sky2
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
      q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/space1_bk.tga
	q3map_sun	1 1 1 32  90 90
	q3map_surfacelight 55
      skyparms env/space1 230 -
	nopicmip
       
      {
		map textures/skies/topclouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.010 0.0022
		tcMod scale 3 2
	}
}

textures/classic2_0/sky3
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
      q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/space1_bk.tga
	q3map_sun	1 1 1 32  90 90
	q3map_surfacelight 55
      skyparms env/space1 230 -
	nopicmip
      
      {
		map textures/skies/killsky_2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.010 0.0022
		tcMod scale 3 2
	}
}

textures/classic2_0/sky4
{
	surfaceparm noimpact
	surfaceparm nolightmap
//	surfaceparm sky
	q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/intelredclouds.tga
	q3map_surfacelight 200
	q3map_sun	1 1 0.5 15 90 90

//	cloudparms 512 full

	skyparms - 512 -
	nopicmip

	{
		map textures/skies/inteldimclouds.tga
		tcMod scroll 0.1 0.1
		tcMod scale 3 2
		depthWrite
	}
	{
		map textures/skies/intelredclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.05
		tcMod scale 3 3
	}
}

textures/classic2_0/sky5
{
	surfaceparm noimpact
	surfaceparm nolightmap
//	surfaceparm sky
	q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/intelredclouds.tga
	q3map_surfacelight 60
	q3map_sun	1 1 0.5 15 90 90

//	cloudparms 512 full

	skyparms - 512 -
	nopicmip

	{
		map textures/skies/inteldimclouds.tga
		tcMod scroll 0.003 0.008
		tcMod scale 3 2
		depthWrite
	}
	{
		map textures/skies/intelredclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.005 0.012
		tcMod scale 3 3
	}
}

textures/classic2_0/mars_skybox
// by Sock - 1st August 2000
{
	qer_editorimage textures/classic2_0/mars_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 10
	surfaceparm sky
	q3map_sun 1 1 1 20 90 45
	skyparms env/classic2_0/mars - -
	nopicmip
}


textures/classic2_0/cctf_banner
{
	qer_editorimage textures/classic2_0/cctf_banner.tga
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull none
	tessSize 64
	deformVertexes wave 194 sin 0 3 0 .4
	deformVertexes normal .3 .2
	nopicmip

	{
		map textures/classic2_0/cctf_banner.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/sfx/shadow.tga
		tcGen environment
		blendFunc filter
		rgbGen identity
	}
}

textures/classic2_0/shinymetaldoor_cctf
{
	
	qer_editorimage textures/classic2_0/shinymetaldoor_cctf.tga
	nopicmip

	{
		map textures/base_wall/chrome_env.tga
        tcGen environment
		tcmod scale .25 .25 
		rgbGen identity   
	}
	{
		map textures/classic2_0/shinymetaldoor_cctf.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/classic2_0/quake3sign_cctf.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}		
} 

textures/classic2_0/bounce_neutral_nolight
{
	qer_editorimage textures/ctf_unified/qer_bounce.tga
	q3map_lightimage textures/ctf_unified/bounce_fx.tga
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans
	nopicmip

	{
		map textures/ctf_unified/bounce_base.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/ctf_unified/bounce_glow.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx.tga
		blendfunc add
		tcMod stretch sin 1.2 0.8 0 1.5
		rgbGen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/classic2_0/bounce_blue_nolight
{
	qer_editorimage textures/ctf_unified/qer_bounce_blue.tga
	q3map_lightimage textures/ctf_unified/bounce_fx_blue.tga
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans
	nopicmip

	{
		map textures/ctf_unified/bounce_base.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/ctf_unified/bounce_glow_blue.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx_blue.tga
		blendfunc add
		tcMod stretch sin 1.2 0.8 0 1.5
		rgbGen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/classic2_0/bounce_red_nolight
{
	qer_editorimage textures/ctf_unified/qer_bounce_red.tga
	q3map_lightimage textures/ctf_unified/bounce_fx_red.tga
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans
	nopicmip

	{
		map textures/ctf_unified/bounce_base.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/ctf_unified/bounce_glow_red.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx_red.tga
		blendfunc add
		tcMod stretch sin 1.2 0.8 0 1.5
		rgbGen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/classic2_0/swirly_r
{
		qer_editorimage textures/classic2_0/console_r.tga
		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nolightmap
		q3map_surfacelight 150
		q3map_lightimage textures/classic2_0/console_r.tga
		cull none
		nopicmip
	{
		clampmap textures/sfx/console02.tga
		tcMod rotate -200
		blendFunc GL_ONE GL_ONE
	}
	{
		clampmap textures/classic2_0/console_r.tga
		tcMod rotate 30
		blendFunc GL_ONE GL_ONE
	}
}

textures/classic2_0/swirly_b
{
		qer_editorimage textures/classic2_0/console_b.tga
		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nolightmap
		q3map_surfacelight 150
		q3map_lightimage textures/classic2_0/console_b.tga
		cull none
		nopicmip
	{
		clampmap textures/sfx/console02.tga
		tcMod rotate -200
		blendFunc GL_ONE GL_ONE
	}
	{
		clampmap textures/classic2_0/console_b.tga
		tcMod rotate 30
		blendFunc GL_ONE GL_ONE
	}
}

textures/classic2_0/manse_water
{
	qer_editorimage textures/classic2_0/pool3d_5b.tga
	q3map_globaltexture
	qer_trans .75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	q3map_surfacelight 50
	cull disable
	tesssize 64
	deformVertexes wave 100 sin 1 1 1 .1
	nopicmip

	{ 
		map textures/liquids/pool3d_5c2.tga
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/liquids/pool3d_3c2.tga
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map textures/liquids/pool3d_4b2.tga
		blendfunc add
		tcmod scale .125 .125	
		rgbgen identity
	}
}

textures/classic2_0/q1teleporter
{
	qer_editorimage textures/classic2_0/q1teleporter.tga
	q3map_lightimage textures/classic2_0/q1teleporter.tga
	q3map_surfacelight 700
	surfaceparm noimpact
	surfaceparm nomarks
	cull disable
	nopicmip

	{
		map textures/classic2_0/q1teleporter.tga
		rgbGen identity
		tcMod stretch sin 1 0.1 1 0.6 
		tcMod turb 1 0.5 0 0.1
	}
	{
		map textures/classic2_0/q1teleporter.tga
		blendfunc add
		rgbGen identity
		tcMod turb 1 0.5 0.3 0.1
	}
	{
		map textures/classic2_0/q1teleporter.tga
		blendfunc add
		rgbGen identity
		tcMod turb 1 0.5 0.8 0.1
	}
}

textures/ctf_unified/pentfloor_neutral
{
	qer_editorimage textures/ctf_unified/pentfloor_base.tga
	surfaceparm nomarks
	surfaceparm trans
	nopicmip

	{
		map textures/ctf_unified/pentfloor_base.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/ctf_unified/pent_glow.tga
		blendfunc add
		rgbGen wave sin 0.4 0.2 0 0.2
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ctf_unified/pentfloor_blue
{
	qer_editorimage textures/ctf_unified/qer_pentfloor_blue.tga
	surfaceparm nomarks
	surfaceparm trans
	nopicmip

	{
		map textures/ctf_unified/pentfloor_base.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/ctf_unified/pent_glow_blue.tga
		blendfunc add
		rgbGen wave sin 0.4 0.2 0 0.2
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ctf_unified/pentfloor_red
{
	qer_editorimage textures/ctf_unified/qer_pentfloor_red.tga
	surfaceparm nomarks
	surfaceparm trans
	nopicmip

	{
		map textures/ctf_unified/pentfloor_base.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/ctf_unified/pent_glow_red.tga
		blendfunc add
		rgbGen wave sin 0.4 0.2 0 0.2
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}