//q3wcp1
textures/japanc_q3w/bluesky
{
	qer_trans 0.60
	qer_editorimage textures/japanc_q3w/white.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun	1 1 1 85 220 40
	q3map_surfacelight 120
	q3map_lightimage textures/skies/toxicsky.tga
	q3map_lightsubdivide 512

	skyparms - 512 -
	nopicmip
	{
		map textures/skies/bluedimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.015 0.015
		depthWrite
	}
	{
		map textures/japanc_q3w/bluesky1.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.01 0.01
	}
}

textures/japanc_q3w/energyjump/
{
	surfaceparm nodamage
	q3map_lightimage textures/japanc_q3w/sq_smalljump1.tga
	q3map_surfacelight 150
	qer_editorimage textures/japanc_q3w/energy1.tga
	nopicmip

	{
		map textures/japanc_q3w/energy1.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/japanc_q3w/energy.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/japanc_q3w/sq_smalljump_r.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.0 .1 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/japanc_q3w/Katana_r
{
	qer_editorimage textures/japanc_q3w/Katana_r1.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	qer_trans 0.6
	nopicmip

	{
		map textures/japanc_q3w/Katana_r1.tga
		blendfunc filter
		rgbGen identity
		detail
	}
}
textures/japanc_q3w/Katana_b
{
	qer_editorimage textures/japanc_q3w/Katana_b1.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	qer_trans 0.6
	nopicmip

	{
		map textures/japanc_q3w/Katana_b1.tga
		blendfunc filter
		rgbGen identity
		detail
	}
}
textures/japanc_q3w/Katana_shadow
{
	qer_editorimage textures/japanc_q3w/Katana_shadow1.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	qer_trans 0.6
	nopicmip

	{
		map textures/japanc_q3w/Katana_shadow1.tga
		blendfunc filter
		rgbGen identity
	}
}


//q3wcp2
//sky 2 fast for nopicmip imo

//q3wcp3

textures/ssctf2/s_lavapit
{
	qer_editorimage textures/liquids/lavahell.tga
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nodrop
	surfaceparm nolightmap
	q3map_surfacelight 700
	cull disable
	nopicmip

	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
	}
}
textures/ssctf2/s_lavafall
{
	qer_editorimage textures/liquids/lavahell.tga
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nodrop
	surfaceparm nolightmap
	q3map_surfacelight 700
	cull disable

	// deformVertexes wave <div> <func> <base><amplitude> <phase> <freq>
	tessSize 64
	deformVertexes wave 100 sin 3 2 .1 0.1
	nopicmip

	{	
		map textures/liquids/lavahell.tga
                tcmod scroll 0 0.6
		tcMod turb 0.0 0.2 1 0.10

	}
}

textures/ssctf2/s_flare2 
{
	qer_editorimage textures/ssctf2/s_flare2.tga
	DeformVertexes autosprite
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	nopicmip

	{
		map textures/ssctf2/s_flare2.tga
                blendFunc GL_ONE GL_ONE
	}
}
textures/ssctf2/s_flare_red
{
	qer_editorimage textures/ssctf2/s_flare_red.tga
	DeformVertexes autosprite
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	nopicmip

	{
		map textures/ssctf2/s_flare_red.tga
                blendFunc GL_ONE GL_ONE
	}
}
textures/ssctf2/s_flare_blue 
{
	qer_editorimage textures/ssctf2/s_flare_blue.tga
	DeformVertexes autosprite
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	nopicmip

	{
		map textures/ssctf2/s_flare_blue.tga
                blendFunc GL_ONE GL_ONE
	}
}


//q3wcp4

//this is a Q3A shader, but it turns >invisible< with picmip 16, so included here
textures/base_floor/cybergrate2
{
    cull disable
    surfaceparm alphashadow
    surfaceparm	metalsteps	
    surfaceparm nomarks
    nopicmip

     {
        map textures/base_floor/cybergrate2.tga
        alphaFunc GE128
		depthWrite
		rgbGen vertex
     }
     {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/crn_schadq3w1/thesky
{
	qer_editorimage textures/crn_schadq3w1/clouds1.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 0.88 0.9 0.9 50 90 90
	q3map_surfacelight 30
	q3map_lightimage textures/crn_schadq3w1/clouds1.tga
	skyparms - 1400 -
	nopicmip

	{
		map textures/crn_schadq3w1/clouds1.tga
		tcMod scroll 0.08 0.02
		tcMod scale 1 1.5 
	}
	{
		map textures/crn_schadq3w1/clouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.08 0.01
		tcMod scale 1 3
	}
}

textures/crn_schadq3w1/bettergib
{
	qer_editorimage textures/crn_schadq3w1/sign_1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	nopicmip

	{
		animMap 0.5 textures/crn_schadq3w1/sign_1.tga textures/crn_schadq3w1/sign_2.tga textures/crn_schadq3w1/sign_3.tga textures/crn_schadq3w1/sign_q3w.tga textures/crn_schadq3w1/black.tga 
		rgbGen wave inversesawtooth 0 1 0 0.5
	}
	{
		map textures/crn_schadq3w1/screenlines.tga
		blendFunc add
		tcmod scale 2 1.8
		tcmod scroll -7 0
	}
}

textures/crn_schadq3w1/arrows
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	nopicmip

	{
		map textures/crn_schadq3w1/arrows.tga
		blendfunc add
		rgbGen identity
	}
}

textures/crn_schadq3w1/bluesprite
{
	qer_editorimage textures/crn_schadq3w1/blueflare1.tga
	cull disable
	surfaceparm nonsolid
	surfaceparm nolightmap
	deformVertexes autosprite
	nopicmip

	{
		clampmap textures/crn_schadq3w1/blueflare1.tga
		tcMod stretch sin .8 0.2 0 .1
		tcmod rotate 120
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		clampmap textures/crn_schadq3w1/blueflare2.tga
		tcMod stretch sin .8 0.2 0 .2
		tcmod rotate -70
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/crn_schadq3w1/redsprite
{
	qer_editorimage textures/crn_schadq3w1/redflare1.tga
	cull disable
	surfaceparm nonsolid
	surfaceparm nolightmap
	deformVertexes autosprite
	nopicmip

	{
		clampmap textures/crn_schadq3w1/redflare1.tga
		tcMod stretch sin .8 0.2 0 .1
		tcmod rotate 120
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		clampmap textures/crn_schadq3w1/redflare2.tga
		tcMod stretch sin .8 0.2 0 .2
		tcmod rotate -70
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

//q3wcp5

textures/crew/border11cx_r
{
	qer_editorimage textures/ctf_q3w/qer_border11c.tga
	q3map_lightimage textures/base_trim/border11c_light.tga
	q3map_surfacelight 200
	nopicmip

	{
		map textures/base_trim/border11c.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/base_trim/border11c_light.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 1 .1 0 5
	}
	{
		map textures/ctf_q3w/border11c_pulse1b_r.tga
		blendfunc gl_one gl_one
		tcmod scale .035 1
		tcmod scroll -0.65 0
	}
}
textures/crew/border11cx_b
{
	qer_editorimage textures/ctf_q3w/qer_border11c.tga
	q3map_lightimage textures/base_trim/border11c_light.tga
	q3map_surfacelight 200
	nopicmip

	{
		map textures/base_trim/border11c.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/base_trim/border11c_light.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 1 .1 0 5
	}
	{
		map textures/base_trim/border11c_pulse1b.tga
		blendfunc gl_one gl_one
		tcmod scale .035 1
		tcmod scroll -0.65 0

	}
}

//from Q3A
textures/skies/kcbasesky_arena1_sky							//it's a bit gross
{
	qer_editorimage textures/skies/pjbasesky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256 
	q3map_sun	0.266383 0.274632 0.358662 150 60 85
	q3map_surfacelight 500

	skyparms - 512 -
	nopicmip

	{
		map textures/skies/dimclouds.tga
		tcMod scroll 0.01 0.01
		tcMod scale 3 3
		depthWrite
	}
	{
		map textures/skies/pjbasesky.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll -0.01 -0.01
		tcMod scale 5 5
	}
}


//q3wcp6

textures/mexx_q3w/blue_flame
{
	qer_editorimage textures/sfx/b_flame7.tga
	q3map_lightimage textures/sfx/b_flame7.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 7500
	nopicmip

	{
		animMap 10 textures/sfx/b_flame1.tga textures/sfx/b_flame2.tga textures/sfx/b_flame3.tga textures/sfx/b_flame4.tga textures/sfx/b_flame5.tga textures/sfx/b_flame6.tga textures/sfx/b_flame7.tga textures/sfx/b_flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/b_flame2.tga textures/sfx/b_flame3.tga textures/sfx/b_flame4.tga textures/sfx/b_flame5.tga textures/sfx/b_flame6.tga textures/sfx/b_flame7.tga textures/sfx/b_flame8.tga textures/sfx/b_flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/sfx/b_flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/mexx_q3w/bluewater
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	q3map_lightimage textures/ctf_q3w/jumppadsmall_b.tga	
	q3map_surfacelight 800
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	nopicmip

	{ 
		map textures/liquids/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/liquids/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/liquids/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}



//q3wcp7


//q3wcp9
textures/ssctf3/lightb
{
    cull disable
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nonsolid
    nopicmip
	{
		map textures/ssctf3/lightb.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}
textures/ssctf3/lightb2
{
    cull disable
    deformVertexes autoSprite
    surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	nopicmip
	{
		map textures/ssctf3/lightb2.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

//q3wcp10

textures/ssctf7/s_toxicsky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/inteldimredclouds.tga
	q3map_surfacelight 80
	// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
	q3map_sun	1 1 0.5 80 45 60
	skyparms - 512 -
	nopicmip

	{
		map textures/skies/inteldimclouds.tga
		tcMod scroll 0.1 0.1
		tcMod scale 3 2
		depthWrite
	}
	{
		map textures/skies/intelredclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.05
		tcMod scale 3 3
	}
}

textures/ssctf7/id_redflare2
{
	cull disable
	surfaceparm trans
	surfaceparm nolightmap
	nopicmip

	{
	map textures/ssctf7/id_redflare2.tga
	blendfunc add
	rgbgen identity
	}
}
textures/ssctf7/id_blueflare2
{
	cull disable
	surfaceparm trans
	surfaceparm nolightmap
	nopicmip

	{
	map textures/ssctf7/id_blueflare2.tga
	
	blendfunc add
	rgbgen identity
	}
}

textures/ssctf7/id_xglass01
{
	qer_editorimage textures/ssctf7/id_xglass01.tga
//	q3map_surfacelight 100
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ssctf7/id_xglass01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ssctf7/s_lava_500							//probably not this
	{
		qer_editorimage textures/liquids/lavahell.tga
		q3map_globaltexture
		q3map_lightsubdivide 32
		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		q3map_surfacelight 500
		cull disable
	
	deformVertexes wave 100 sin 3 2 .1 0.1
	nopicmip
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
		tcMod scale 2 2
	}      
}


//q3wcp11

textures/crn_master/crn02_mastersky
{
	qer_editorimage textures/skies/topclouds.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 0.9 0.9 1 70 0 90
	q3map_surfacelight 100
	skyparms env/xnight2 4096 -
	nopicmip

	{
		map textures/skies/topclouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0 0.02
		tcMod scale 3.5 1
	}
	{
		map textures/skies/topclouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.005 0.01
		tcMod scale 4 1
	}
}

//q3wcp12
//from Q3A
models/mapobjects/timlamp/timlamp
{
    cull disable
    surfaceparm alphashadow
    nopicmip
        {
                map models/mapobjects/timlamp/timlamp.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

textures/skies/hellsky2bright
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun	1 1 1 100 220 50
	q3map_surfacelight 120
	qer_editorimage textures/skies/toxicsky.tga
	skyparms - 512 -
	nopicmip

	{
		map textures/skies/inteldimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/skies/intelredclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}

//q3wcp13


//q3wcp14

textures/ssctf5/s_moodsky
{
	qer_editorimage textures/skies/pjbasesky.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512 
	// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
	//	q3map_sun	0.266383 0.274632 0.358662 100 45 74
	q3map_sun	0.266383 0.274632 0.358662 100 315 85
	q3map_surfacelight 100
	skyparms - 200 -
	nopicmip

	{
		map textures/skies/dimclouds.tga
		tcMod scroll 0.015 0.016
		tcMod scale 3 3
		depthWrite
	}
	{
		map textures/skies/pjbasesky.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll -0.01 -0.012
		tcMod scale 5 5
	}
}

textures/base_floor/skylight1
{
	q3map_lightimage textures/base_floor/skylight1_lm.tga
	q3map_surfacelight 100
	
    {
		map $lightmap
		rgbGen identity
	}
    {
		map textures/base_floor/skylight1.tga
		blendfunc gl_dst_color gl_zero
        rgbGen identity
	}	
    {
		map textures/base_floor/skylight1_lm.tga
		blendfunc GL_ONE GL_ONE
        rgbgen wave triangle .2 2 0 0.7 //7.7
	}
    {
		map textures/base_floor/skylight1_lm.tga
		blendfunc GL_ONE GL_ONE
        rgbgen wave triangle .2 5 1 0.1 //5.1
	}	
}

textures/ssctf5/scan_dirtwater
	{
		qer_editorimage textures/liquids/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		q3map_surfacelight 50
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5
		nopicmip
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
		{ 
			map textures/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}

textures/ssctf5/s_pjgrate1							//probably controversial, but you can't see into an area at mid with picmip 16
{
	qer_editorimage textures/ssctf5/s_pjgrate1.tga

	surfaceparm	metalsteps		
	surfaceparm	trans
	cull none
	nopicmip
	// A GRATE OR GRILL THAT CAN BE SEEN FROM BOTH SIDES
	{
		map textures/ssctf5/s_pjgrate1.tga
		tcMod scale 2 2
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ssctf5/s_redbase
{
	q3map_lightimage textures/ssctf5/s_redbase.tga
        q3map_surfacelight 100
        nopicmip
	{
		map textures/ssctf5/s_redbase.tga
	        rgbGen wave square 0 1 0 .5
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}     
textures/ssctf5/s_bluebase
{
	q3map_lightimage textures/ssctf5/s_bluebase.tga
        q3map_surfacelight 100
        nopicmip
	{
		map textures/ssctf5/s_bluebase.tga
	        rgbGen wave square 0 1 0 .5
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}    


//q3wcp15

textures/revolution_ctf/revsky
{
	// de-yellowize the sky light ... I'm using a bit of ambient yellow
	q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/inteldimredclouds.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512 
	q3map_sun	0.25 0.25 0.20 200 0 75
//	q3map_surfacelight 300
//	q3map_surfacelight 250
	q3map_surfacelight 200
	q3map_backsplash 0 256

	skyparms - 512 -
	nopicmip

	{
		map textures/skies/inteldimclouds.tga
		tcMod scroll 0.05 0.025
		tcMod scale 3 2
		depthWrite
	}

	{
		map textures/skies/intelredclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.05
		tcMod scale 3 3
	}
}

textures/revolution_ctf/bubble_a
{
	qer_editorimage textures/revolution_ctf/bubble.tga
	sort underwater
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	deformVertexes autosprite
	deformVertexes move 0 0 148 sawtooth 0 1 0 1
	nopicmip
	{
		map sprites/bubble.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}


textures/revolution_ctf/bubble_b
{
	qer_editorimage textures/revolution_ctf/bubble.tga
	sort underwater
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	deformVertexes autosprite
	deformVertexes move 0 0 148 sawtooth 0 1 0.2 1.1
	nopicmip
	{
		map sprites/bubble.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}


textures/revolution_ctf/bubble_c
{
	qer_editorimage textures/revolution_ctf/bubble.tga
	sort underwater
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	deformVertexes autosprite
	deformVertexes move 0 0 148 sawtooth 0 1 0.4 1.2
	nopicmip
	{
		map sprites/bubble.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}


textures/revolution_ctf/bubble_d
{
	qer_editorimage textures/revolution_ctf/bubble.tga
	sort underwater
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	deformVertexes autosprite
	deformVertexes move 0 0 148 sawtooth 0 1 0.6 0.9
	nopicmip
	{
		map sprites/bubble.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}


textures/revolution_ctf/bubble_e
{
	qer_editorimage textures/revolution_ctf/bubble.tga
	sort underwater
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	deformVertexes autosprite
	deformVertexes move 0 0 148 sawtooth 0 1 0.8 0.8
	nopicmip
	{
		map sprites/bubble.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/revolution_ctf/ctfu_logo_b_alt
{       	
	qer_editorimage textures/ctf_unified/floor_monologo_blue.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/ctf_unified/floor_monologo_blue.tga
		blendFunc Add
		rgbGen wave sin .5 .5 0 .2
	}
}

textures/revolution_ctf/ctfu_logo_r_alt
{       	
	qer_editorimage textures/ctf_unified/floor_monologo_red.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/ctf_unified/floor_monologo_red.tga
		blendFunc Add
		rgbGen wave sin .5 .5 0.5 .2
	}
}

textures/revolution_ctf/ctfu_banner01_blue
{
	qer_editorimage textures/ctf_unified/banner01_blue.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/ctf_unified/banner01_blue.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/revolution_ctf/ctfu_banner01_red
{
	qer_editorimage textures/ctf_unified/banner01_red.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/ctf_unified/banner01_red.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}



//q3wcp16
textures/coraltwctf/bluesea
{
	qer_editorimage textures/coraltwctf/watr1.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5
	nopicmip

	{ 
		map textures/coraltwctf/watr1.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/liquids/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

//q3wcp17

textures/scanctf2/id_flare
{
	qer_editorimage textures/scanctf2/id_flare.tga
	deformVertexes autoSprite

//	q3map_surfacelight	1000

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none	
	nopicmip

	{
		Map textures/scanctf2/id_flare.tga
		blendFunc GL_ONE GL_ONE
	}	
	
}
textures/scanctf2/id_flare_tele
{
	qer_editorimage textures/scanctf2/jumpadb2.tga
//	deformVertexes autoSprite

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none	
	nopicmip

	{
		clampmap textures/scanctf2/jumpadb2.tga
		blendFunc GL_ONE GL_ONE
		//tcMod stretch Sin 1.0 0.5 0.0 5
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave sin .8 .2 .25 1.0
		tcMod rotate 720
	}
	{
		clampmap textures/scanctf2/jumpadb2.tga
		blendFunc GL_ONE GL_ONE
		tcMod stretch sin 0.8 .6 0 1.0
		tcMod rotate -480
	}	
	
}
textures/scanctf2/id_flare_redtele
{
	qer_editorimage textures/scanctf2/jumpadn2.tga
//	deformVertexes autoSprite

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none	
	nopicmip

	{
		clampmap textures/scanctf2/jumpadn2.tga
		blendFunc GL_ONE GL_ONE
		//tcMod stretch Sin 1.0 0.5 0.0 5
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave sin .8 .2 .25 1.0
		tcMod rotate 720
	}
	{
		clampmap textures/scanctf2/jumpadn2.tga
		blendFunc GL_ONE GL_ONE
		tcMod stretch sin 0.8 .6 0 1.0
		tcMod rotate -480
	}	
	
}
textures/scanctf2/bounce_white
{
	qer_editorimage textures/ctf_unified/qer_bounce.tga
	q3map_lightimage textures/scanctf2/bounce_fx_white.tga
	q3map_surfacelight 400
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans
	nopicmip

	{
		map textures/ctf_unified/bounce_base.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/scanctf2/bounce_glow_white.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/scanctf2/bounce_fx_white.tga
		blendfunc add
		tcMod stretch sin 1.2 0.8 0 1.5
		rgbGen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/scanctf2/e8bgrate01
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	//surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/scanctf2/e8bgrate01.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/scanctf2/e8circle_red_fade
{
	qer_editorimage textures/scanctf2/e8circle_red.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip

	{
		map textures/scanctf2/e8circle_red.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.5 
	}
}

textures/scanctf2/e8circle_blue_fade
{
	qer_editorimage textures/scanctf2/e8circle_blue.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip

	{
		map textures/scanctf2/e8circle_blue.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.5 
	}
}

textures/scanctf2/e8jumpspawn02
{
	surfaceparm metalsteps
	qer_editorimage textures/scanctf2/e8jumpspawn02.tga
	q3map_lightimage textures/scanctf2/e8jumpspawn02_fx.tga
	q3map_surfacelight 100
	nopicmip

	{
		map textures/scanctf2/e8jumpspawn02_fx.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/scanctf2/e8jumpspawn02.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/scanctf2/e8jumpspawn02red
{
	surfaceparm metalsteps
	qer_editorimage textures/scanctf2/e8jumpspawn02.tga
	q3map_lightimage textures/scanctf2/e8jumpspawn02red_fx.tga
	q3map_surfacelight 100
	nopicmip

	{
		map textures/scanctf2/e8jumpspawn02red_fx.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/scanctf2/e8jumpspawn02.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}
textures/scanctf2/e8icon_blue
{
	qer_editorimage textures/scanctf2/e8icon_blue.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip

	{
		map textures/scanctf2/e8icon_blue.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.2 
	}
}
textures/scanctf2/e8icon_red
{
	qer_editorimage textures/scanctf2/e8icon_red.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip

	{
		map textures/scanctf2/e8icon_red.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.2 
	}
}

textures/scanctf2/e8tinylight
{
	qer_editorimage textures/scanctf2/e8tinylight.tga
	q3map_lightimage textures/scanctf2/e8tinylight_blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	nopicmip
	{
		map textures/scanctf2/e8tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/scanctf2/e8tinylight_blend.tga
		blendfunc add
	}
}



//q3wcp18

textures/scanctf1/scan_flare
{
	qer_editorimage textures/scanctf1/id_flare.tga	
	deformVertexes autoSprite
//	q3map_surfacelight	1000
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none	
	nopicmip

	{
		Map textures/scanctf1/id_flare.tga
		blendFunc GL_ONE GL_ONE
	}	
	
}

textures/scanctf1/id_teslacoil
{
	cull none
	q3map_lightimage textures/sfx/tesla1.tga	
	qer_editorimage textures/sfx/tesla1.tga
	nopicmip
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/sfx/tesla1.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 5
		tcmod scale 1 .5
		tcmod turb 0 .1 0 1
		tcMod scroll -1 -1
	}
	{
		map textures/sfx/electricslime.tga
		blendfunc add
		rgbgen wave sin 0 .5 0 1
		tcmod scale .5 .5
		tcmod turb 0 .1 0 1
		tcmod rotate 180
		tcmod scroll -1 -1
	}
	{
		map textures/sfx/cabletest2.tga
		blendfunc blend
	}
}

textures/scanctf1/e7slight
{
	qer_editorimage textures/scanctf1/e7slight.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/scanctf1/e7slight.tga
	blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/scanctf1/e7slight_blend.tga
		rgbGen wave sin .6 .1 .1 .1
		blendfunc GL_ONE GL_ONE
	}
}

// evil 7 light
textures/scanctf1/e7trimlight
{
	qer_editorimage textures/scanctf1/e7trimlight.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/scanctf1/e7trimlight.tga
	blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/scanctf1/e7trimlight_blend.tga
		rgbGen wave sin .6 .1 .1 .1
		blendfunc GL_ONE GL_ONE
	}
}

//q3wcp19
textures/scandm1/s_ceil1_38_5kB
{
	qer_editorimage textures/base_light/ceil1_30.tga
	surfaceparm nomarks
	q3map_surfacelight 6500
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_30.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_30.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/scandm1/s_ceil1_38_5kR
{
	qer_editorimage textures/base_light/ceil1_22a.tga
	surfaceparm nomarks
	q3map_surfacelight 6500
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_22a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_22a.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/scandm1/s_ceil1_38_5k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/scandm1/s_console03B
{
        surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nolightmap
        q3map_surfacelight 150
        q3map_lightimage textures/scandm1/s_console03b.tga
	cull none
        nopicmip
	{
		clampmap textures/sfx/console01.tga
               
		tcMod rotate 20
		blendFunc GL_ONE GL_ONE
	}
        {
		clampmap textures/sfx/console02.tga
                
		tcMod rotate -400
		blendFunc GL_ONE GL_ONE
	}
          {
		clampmap textures/scandm1/s_console03b.tga
                
		tcMod rotate 40
		blendFunc GL_ONE GL_ONE
	}
}

textures/scandm1/scan_baslt4_bright
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 6500
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//q3wcp20
textures/sshalo/s_flame1
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 3000
	nopicmip

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/sshalo/s_flame2
{
	qer_editorimage textures/sfx/r_flame1.tga
	q3map_lightimage textures/sfx/r_flame2.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 2000
	nopicmip

	{
		animMap 10 textures/sfx/r_flame1.tga textures/sfx/r_flame2.tga textures/sfx/r_flame3.tga textures/sfx/r_flame4.tga textures/sfx/r_flame5.tga textures/sfx/r_flame6.tga textures/sfx/r_flame7.tga textures/sfx/r_flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/r_flame2.tga textures/sfx/r_flame3.tga textures/sfx/r_flame4.tga textures/sfx/r_flame5.tga textures/sfx/r_flame6.tga textures/sfx/r_flame7.tga textures/sfx/r_flame8.tga textures/sfx/r_flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/r_flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}
textures/sshalo/s_flame3b
{
	qer_editorimage textures/sfx/b_flame1.tga
	q3map_lightimage textures/sfx/b_flame2.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 2000
	nopicmip

	{
		animMap 10 textures/sfx/b_flame1.tga textures/sfx/b_flame2.tga textures/sfx/b_flame3.tga textures/sfx/b_flame4.tga textures/sfx/b_flame5.tga textures/sfx/b_flame6.tga textures/sfx/b_flame7.tga textures/sfx/b_flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/b_flame2.tga textures/sfx/b_flame3.tga textures/sfx/b_flame4.tga textures/sfx/b_flame5.tga textures/sfx/b_flame6.tga textures/sfx/b_flame7.tga textures/sfx/b_flame8.tga textures/sfx/b_flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/b_flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}
textures/sshalo/s_flame4r
{
	qer_editorimage textures/sfx/r_flame1.tga
	q3map_lightimage textures/sfx/r_flame2.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 3000
	nopicmip

	{
		animMap 10 textures/sfx/r_flame1.tga textures/sfx/r_flame2.tga textures/sfx/r_flame3.tga textures/sfx/r_flame4.tga textures/sfx/r_flame5.tga textures/sfx/r_flame6.tga textures/sfx/r_flame7.tga textures/sfx/r_flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/r_flame2.tga textures/sfx/r_flame3.tga textures/sfx/r_flame4.tga textures/sfx/r_flame5.tga textures/sfx/r_flame6.tga textures/sfx/r_flame7.tga textures/sfx/r_flame8.tga textures/sfx/r_flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/r_flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}


textures/sshalo/s_portalfx
{
	qer_editorimage textures/sshalo/s_teledoor.tga
	q3map_lightimage textures/sshalo/s_teledoor.tga
	q3map_surfacelight 1000

		surfaceparm noimpact
		surfaceparm nolightmap
		cull disable
		nopicmip

	{
		map textures/sshalo/s_teledoor.tga
		tcMod turb 0 .5 0 .1		
		rgbGen wave sin .7 .5 .0 .3
//		blendfunc gl_one gl_zero
		blendfunc gl_one gl_one
	}
	{
		map textures/sshalo/s_teledoor.tga
		tcMod turb 0 .35 .5 .2
		rgbGen wave sin .8 .2 .5 .3
		blendfunc gl_one gl_one
	}
}



//q3wcp21
textures/bastir/banner1_blue
{
    qer_editorimage textures/ctf_unified/banner02_blue.tga
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm trans
    cull disable
    deformVertexes wave 100 sin 0 3 0 0.7
    tessSize 64
    nopicmip

    {
        map textures/ctf_unified/banner02_blue.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}

textures/bastir/banner1_red
{
    qer_editorimage textures/ctf_unified/banner02_red.tga
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm trans
    cull disable
    deformVertexes wave 100 sin 0 3 0 0.7
    tessSize 64
    nopicmip

    {
        map textures/ctf_unified/banner02_red.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}

textures/bastir/direction_blue
{    
	qer_editorimage textures/ctf_unified/direction_blue.tga
	polygonOffset
	surfaceparm nomarks   
	surfaceparm trans
	surfaceparm pointlight
   	nopicmip

	{
		map textures/ctf_unified/direction_blue.tga
                blendFunc add
		rgbGen vertex
	}
}

textures/bastir/direction_red
{    
	qer_editorimage textures/ctf_unified/direction_red.tga
	polygonOffset
	surfaceparm nomarks 
	surfaceparm trans  
	surfaceparm pointlight
    nopicmip

	{
		map textures/ctf_unified/direction_red.tga
                blendFunc add
		rgbGen vertex
	}
}

textures/bastir/pointer_left_blue
{    
	qer_editorimage textures/ctf_unified/pointer_left_blue.tga
	polygonOffset
	surfaceparm nomarks   
	surfaceparm trans
	surfaceparm pointlight
   	nopicmip

	{
		map textures/ctf_unified/pointer_left_blue.tga
                blendFunc add
		rgbGen vertex
	}
}

textures/bastir/pointer_left_red
{    
	qer_editorimage textures/ctf_unified/pointer_left_red.tga
	polygonOffset
	surfaceparm nomarks 
	surfaceparm trans  
	surfaceparm pointlight
    nopicmip

	{
		map textures/ctf_unified/pointer_left_red.tga
                blendFunc add
		rgbGen vertex
	}
}

textures/bastir/pointer_right_blue
{    
	qer_editorimage textures/ctf_unified/pointer_right_blue.tga
	polygonOffset
	surfaceparm nomarks   
	surfaceparm trans
	surfaceparm pointlight
   	nopicmip

	{
		map textures/ctf_unified/pointer_right_blue.tga
                blendFunc add
		rgbGen vertex
	}
}

textures/bastir/pointer_right_red
{    
	qer_editorimage textures/ctf_unified/pointer_right_red.tga
	polygonOffset
	surfaceparm nomarks 
	surfaceparm trans  
	surfaceparm pointlight
    nopicmip

	{
		map textures/ctf_unified/pointer_right_red.tga
                blendFunc add
		rgbGen vertex
	}
}


textures/bastir/jpblue_floor15a
{
    q3map_lightimage textures/bastir/jumppadsmall_b.tga
    qer_editorimage textures/bastir/jp15a_blue.tga
    q3map_surfacelight 400
    nopicmip

    {
        map textures/bastir/jumppadsmall_b.tga
        tcMod rotate 180
        tcMod stretch sin 1 0.1 0 0.5
    }
    {
        clampmap textures/bastir/jumppadsmall_b.tga
        blendFunc GL_ONE GL_ONE
        rgbGen identity
        tcMod stretch inversesawtooth 1 2 0 1.5
    }
    {
        map textures/tech1soc_floor/jp15a.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/bastir/jpred_floor15a
{
    q3map_lightimage textures/bastir/jumppadsmall_r.tga
    qer_editorimage textures/bastir/jp15a_red.tga
    q3map_surfacelight 400
    nopicmip

    {
        map textures/bastir/jumppadsmall_r.tga
        tcMod rotate 180
        tcMod stretch sin 1 0.1 0 0.5
    }
    {
        clampmap textures/bastir/jumppadsmall_r.tga
        blendFunc GL_ONE GL_ONE
        rgbGen identity
        tcMod stretch inversesawtooth 1 2 0 1.5
    }
    {
        map textures/tech1soc_floor/jp15a.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

models/mapobjects/soc_t1spawn1/dmspawn_blue
{
    q3map_lightimage models/mapobjects/soc_t1spawn1/spawnsfx_blue.tga
    qer_editorimage models/mapobjects/soc_t1spawn1/dmspawn_blue.tga
    q3map_surfacelight 100
    nopicmip
    {
        map textures/bastir/jumppadsmall_b.tga
        tcMod rotate 180
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map textures/bastir/jumppadsmall_b.tga
        blendFunc GL_ONE GL_ONE
        tcMod rotate 100
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map models/mapobjects/soc_t1spawn1/dmspawn.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

models/mapobjects/soc_t1spawn1/dmspawn_red
{
    q3map_lightimage models/mapobjects/soc_t1spawn1/spawnsfx_red.tga
    qer_editorimage models/mapobjects/soc_t1spawn1/dmspawn_red.tga
    q3map_surfacelight 100
    {
        map textures/bastir/jumppadsmall_r.tga
        tcMod rotate 180
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map textures/bastir/jumppadsmall_r.tga
        blendFunc GL_ONE GL_ONE
        tcMod rotate 100
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map models/mapobjects/soc_t1spawn1/dmspawn.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

models/mapobjects/soc_t1spawn1/dm2spawn_blue
{
    q3map_lightimage models/mapobjects/soc_t1spawn1/spawnsfx_blue.tga
    qer_editorimage models/mapobjects/soc_t1spawn1/dmspawn_blue.tga
    q3map_surfacelight 100
    nopicmip
    {
        map textures/bastir/jumppadsmall_b.tga
        tcMod rotate 180
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map textures/bastir/jumppadsmall_b.tga
        blendFunc GL_ONE GL_ONE
        tcMod rotate 100
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map models/mapobjects/soc_t1spawn1/dmspawn.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	rgbGen lightingDiffuse
    }
}

models/mapobjects/soc_t1spawn1/dm2spawn_red
{
    q3map_lightimage models/mapobjects/soc_t1spawn1/spawnsfx_red.tga
    qer_editorimage models/mapobjects/soc_t1spawn1/dmspawn_red.tga
    q3map_surfacelight 100
    nopicmip
    {
        map textures/bastir/jumppadsmall_r.tga
        tcMod rotate 180
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map textures/bastir/jumppadsmall_r.tga
        blendFunc GL_ONE GL_ONE
        tcMod rotate 100
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map models/mapobjects/soc_t1spawn1/dmspawn.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	rgbGen lightingDiffuse
    }
}


//q3wcp22
textures/geit/geit3ctf2_sky2
{
	qer_editorimage textures/skies/dimclouds.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_sun 0.25 0.25 1 65 200 75
	q3map_surfacelight 50
	skyparms - 512 -
	nopicmip
	{
		map textures/skies/dimclouds.tga
		tcMod scroll 0.0001 0
		tcMod scale 2 2
		depthWrite
	}
}

// Dusty beam in the dark passage
textures/geit/geit3ctf2_beam
	{
        qer_editorimage textures/geit/geit3ctf2_beam.tga
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .6
	cull none
	nopicmip
	{
		map textures/geit/geit3ctf2_beam.tga
		tcMod Scroll .3 0
                blendFunc add
        }
}

textures/geit/nateweb
{
	qer_editorimage textures/geit/nateweb.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	cull disable	
	nopicmip
	
	{
		map textures/geit/nateweb.tga
		blendfunc add
		rgbgen identity
	}
}
textures/geit/butterfly1
{
	qer_editorimage textures/geit/butterfly-1.tga
	surfaceparm nodamage
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes wave 11.3 sin 0 8 0 5 
	deformVertexes move 4 4 4 sin 0 1 0.75 0.5 
	tessSize 16
    cull disable
    nopicmip

	{
		map textures/geit/butterfly-1.tga
		blendfunc blend
		rgbGen identity
	}
}


//q3wcp23
textures/bubctf1/e8_launchpad1
{
	q3map_lightimage textures/bubctf1/e8_launchpad1.blend.tga
	surfaceparm nodamage
	q3map_surfacelight 100
    nopicmip

	{
		map textures/bubctf1/e8_launchpad1_fx.tga
		rgbGen identity
		tcMod scroll 0 3
	}
	{
		map textures/bubctf1/e8_launchpad1.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/bubctf1/e8_launchpad1.blend.tga
		blendfunc add
		rgbGen wave triangle 0.2 2 1 2 
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}
textures/bubctf1/e8_launchpad1r
{
	q3map_lightimage textures/bubctf1/e8_launchpad1.blendr.tga
	surfaceparm nodamage
	q3map_surfacelight 100
    nopicmip

	{
		map textures/bubctf1/e8_launchpad1_fxr.tga
		rgbGen identity
		tcMod scroll 0 3
	}
	{
		map textures/bubctf1/e8_launchpad1r.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/bubctf1/e8_launchpad1.blendr.tga
		blendfunc add
		rgbGen wave triangle 0.2 2 1 2 
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}
textures/bubctf1/e8_jumppad02
{
	q3map_lightimage textures/bubctf1/e8_jumppad02_fx.tga
	polygonoffset
	surfaceparm nodamage
	q3map_surfacelight 200
    nopicmip

	{
		map textures/bubctf1/e8_jumppad02.tga
		rgbGen identity
	}
	{
		map textures/bubctf1/e8_jumppad02_fx.tga
		blendfunc GL_ONE GL_ONE
		tcMod rotate 360
		tcMod stretch sin 1 0.8 1 0.4 
	}
	{
		map textures/bubctf1/e8_jumppad02.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}
textures/bubctf1/e8_jumppad02r
{
	q3map_lightimage textures/bubctf1/e8_jumppad02_fxr.tga
	polygonoffset
	surfaceparm nodamage
	q3map_surfacelight 200
    nopicmip

	{
		map textures/bubctf1/e8_jumppad02r.tga
		rgbGen identity
	}
	{
		map textures/bubctf1/e8_jumppad02_fxr.tga
		blendfunc GL_ONE GL_ONE
		tcMod rotate 360
		tcMod stretch sin 1 0.8 1 0.4 
	}
	{
		map textures/bubctf1/e8_jumppad02r.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/bubctf1/e8tinylightblue
{
	qer_editorimage textures/bubctf1/e8tinylightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	nopicmip

	{
		map textures/bubctf1/e8tinylightblue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bubctf1/e8tinylightblue.blend.tga
		blendfunc add
	}
}

//textures/base_wall/glass01 in q3base.shader is the glass

//q3wcp24

textures/ctf_cas_2/calm_pool_x
{
	qer_editorimage textures/liquids/pool2.tga
	q3map_lightimage textures/ctf_cas_2/light3.tga
	qer_trans .5
	q3map_globaltexture
	q3map_surfacelight 35
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	cull disable
	tesssize 64
	deformVertexes wave 100 sin 1 1 1 .1
	nopicmip

	{
		map textures/ctf_cas_2/pool_a.tga
		blendfunc GL_ONE GL_SRC_COLOR	
		tcMod scale .03 .03
		tcMod scroll .001 .001
	}
	{
		map textures/ctf_cas_2/pool_b.tga
		blendfunc GL_DST_COLOR GL_ONE
		tcMod turb .1 .1 0 .01
		tcMod scale .5 .5
		tcMod scroll -.025 .02
	}
}

textures/ctf_cas_2/pentagram_light1_1K
{
	qer_editorimage textures/gothic_light/pentagram_light1.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	q3map_lightimage textures/ctf_cas_2/light.tga
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/pentagram_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/pentagram_light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 1
	}
}

textures/ctf_cas_2/pentagram_light1_2K
{
	qer_editorimage textures/gothic_light/pentagram_light1.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	q3map_lightimage textures/ctf_cas_2/light.tga
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/pentagram_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/pentagram_light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 1
	}
}

textures/ctf_cas_2/pentagram_light1_3K
{
	qer_editorimage textures/gothic_light/pentagram_light1.tga
	q3map_surfacelight 3000
	surfaceparm nomarks
	q3map_lightimage textures/ctf_cas_2/light.tga
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/pentagram_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/pentagram_light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 1
	}
}

textures/ctf_cas_2/pentagram_light1_4K
{
	qer_editorimage textures/gothic_light/pentagram_light1.tga
	q3map_surfacelight 4000
	surfaceparm nomarks
	q3map_lightimage textures/ctf_cas_2/light.tga
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/pentagram_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/pentagram_light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 1
	}
}

textures/ctf_cas_2/pentagram_light1_6K
{
	qer_editorimage textures/gothic_light/pentagram_light1.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	q3map_lightimage textures/ctf_cas_2/light.tga
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/pentagram_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/pentagram_light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 1
	}
}

textures/ctf_cas_2/pentagram_light1_8K
{
	qer_editorimage textures/gothic_light/pentagram_light1.tga
	q3map_surfacelight 8000
	surfaceparm nomarks
	q3map_lightimage textures/ctf_cas_2/light.tga
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/pentagram_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/pentagram_light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 1
	}
}

textures/ctf_cas_2/ironcrossltblue_1000
{
	qer_editorimage textures/ctf_cas_l/ironcrossltblue.tga
	q3map_lightimage textures/ctf_cas_l/ironcrossltblue.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/ironcrossltblue.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ctf_cas_l/ironcrossltblue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_2/ironcrossltblue_1500
{
	qer_editorimage textures/ctf_cas_l/ironcrossltblue.tga
	q3map_lightimage textures/ctf_cas_l/ironcrossltblue.blend.tga
	q3map_surfacelight 1500
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/ironcrossltblue.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ctf_cas_l/ironcrossltblue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_2/ironcrossltred_1000
{
	qer_editorimage textures/ctf_cas_l/ironcrossltred.tga
	q3map_lightimage textures/ctf_cas_l/ironcrossltred.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/ironcrossltred.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ctf_cas_l/ironcrossltred.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_2/ironcrossltred_1500
{
	qer_editorimage textures/ctf_cas_l/ironcrossltred.tga
	q3map_lightimage textures/ctf_cas_l/ironcrossltred.blend.tga
	q3map_surfacelight 1500
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_cas_l/ironcrossltred.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ctf_cas_l/ironcrossltred.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_2/ironcrosslt1_2k
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_2/ironcrosslt1_3k
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 3000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_2/ironcrosslt1_4k
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 4000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_2/ironcrosslt1_5k
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_2/ironcrosslt1_6k
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_2/ironcrosslt1_7k
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 7000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc GL_ONE GL_ONE
	}

}

textures/ctf_cas_2/ironcrosslt1_8k
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 8000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc GL_ONE GL_ONE
	}

}

textures/ctf_cas_2/ironcrosslt1_10k
{
	qer_editorimage textures/ctf_q3w/ironcrosslt1.tga
	q3map_lightimage textures/ctf_q3w/ironcrosslt1_blend.tga
	q3map_surfacelight 10000
	surfaceparm nomarks
	nopicmip
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ctf_q3w/ironcrosslt1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ctf_cas_2/banner03_blue
{
	qer_editorimage textures/ctf_unified/banner03_blue.tga
	qer_trans 0.4
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7
	nopicmip
	
	{
		map textures/ctf_unified/banner03_blue.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/ctf_cas_2/banner03_red
{
	qer_editorimage textures/ctf_unified/banner03_red.tga
	qer_trans 0.4
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7
	nopicmip
	
	{
		map textures/ctf_unified/banner03_red.tga
		alphaFunc GE128
		depthWrite
//		rgbGen identity
		rgbgen wave sin 0.8 0 0 0
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/ctf_cas_2/banner04_blue
{
	qer_editorimage textures/ctf_unified/banner04_blue.tga
	qer_trans 0.4
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7
	nopicmip
	
	{
		map textures/ctf_unified/banner04_blue.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/ctf_cas_2/banner04_red
{
	qer_editorimage textures/ctf_unified/banner04_red.tga
	qer_trans 0.4
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7
	nopicmip
	
	{
		map textures/ctf_unified/banner04_red.tga
		alphaFunc GE128
		depthWrite
//		rgbGen identity
		rgbgen wave sin 0.8 0 0 0
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/ctf_cas_2/cobwebs_x
{
	qer_editorimage textures/ctf_cas_2/cobwebs.tga
	qer_trans 0.8
//	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	deformVertexes wave 10 sin 0 2 0 0.2
	nopicmip
	
	{
		map textures/ctf_cas_2/cobwebs.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_SRC_COLOR
		depthFunc equal
		rgbGen identity
	}
}






/////////////////////////////////////////////////////////////////////
////////// Unified CTF Shaders version 1.0f /////////////////////////
////////// Modified May 11th 2001 8:45 pm  ////////////////////////
////////// Do not edit this file directly!!  ////////////////////////
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
// Make sure that the logo's are facing the right direction!!!
// The Red Lightning Logo leans like a 'forwardslash / '
// The Blue Hammer Logo leans like a 'backslash \ '
// Change the 'Horizontal Stretch' value to a positive
// or negative number to fix backwards logos. 
// They will appear correctly in the Radiant texture browser window.
/////////////////////////////////////////////////////////////////////


/////////////////////////////////////////////////////////////////////
////////// Bouncepad Decals /////////////////////////////////////////
/////////////////////////////////////////////////////////////////////

textures/ctf_unified/bounce_neutral
{
	qer_editorimage textures/ctf_unified/qer_bounce.tga
	q3map_lightimage textures/ctf_unified/bounce_fx.tga
	q3map_surfacelight 400
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans
	nopicmip

	{
		map textures/ctf_unified/bounce_base.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/ctf_unified/bounce_glow.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx.tga
		blendfunc add
		tcMod stretch sin 1.2 0.8 0 1.5
		rgbGen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ctf_unified/bounce_blue
{
	qer_editorimage textures/ctf_unified/qer_bounce_blue.tga
	q3map_lightimage textures/ctf_unified/bounce_fx_blue.tga
	q3map_surfacelight 400
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans
	nopicmip

	{
		map textures/ctf_unified/bounce_base.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/ctf_unified/bounce_glow_blue.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx_blue.tga
		blendfunc add
		tcMod stretch sin 1.2 0.8 0 1.5
		rgbGen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ctf_unified/bounce_red
{
	qer_editorimage textures/ctf_unified/qer_bounce_red.tga
	q3map_lightimage textures/ctf_unified/bounce_fx_red.tga
	q3map_surfacelight 400
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans
	nopicmip

	{
		map textures/ctf_unified/bounce_base.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/ctf_unified/bounce_glow_red.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx_red.tga
		blendfunc add
		tcMod stretch sin 1.2 0.8 0 1.5
		rgbGen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}


/////////////////////////////////////////////////////////////////////
////////// WeaponSpawn Decals ///////////////////////////////////////
/////////////////////////////////////////////////////////////////////

textures/ctf_unified/weapfloor_neutral
{
	qer_editorimage textures/ctf_unified/qer_weapfloor.tga
//	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	nopicmip

	{
		clampmap textures/ctf_unified/weapfloor_fx.tga
		rgbGen wave sin 0.9 0.2 0 0.7
		tcMod rotate 180
		depthWrite
		alphaFunc GE128
	}
	{
		map textures/ctf_unified/weapfloor_1.tga
		blendfunc blend
		rgbGen identity
		depthFunc equal
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
		depthFunc equal
	}
	{
		map textures/ctf_unified/weapfloor_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ctf_unified/weapfloor_blue
{
	qer_editorimage textures/ctf_unified/qer_weapfloor_blue.tga
//	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	nopicmip

	{
		clampmap textures/ctf_unified/weapfloor_fx_blue.tga
		rgbGen wave sin 0.9 0.2 0 0.7
		tcMod rotate 180
		depthWrite
		alphaFunc GE128
	}
	{
		map textures/ctf_unified/weapfloor_1.tga
		blendfunc blend
		rgbGen identity
		depthFunc equal
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
		depthFunc equal
	}
	{
		map textures/ctf_unified/weapfloor_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/ctf_unified/weapfloor_red
{
	qer_editorimage textures/ctf_unified/qer_weapfloor_red.tga
//	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	nopicmip

	{
		clampmap textures/ctf_unified/weapfloor_fx_red.tga
		rgbGen wave sin 0.9 0.2 0 0.7
		tcMod rotate 180
		depthWrite
		alphaFunc GE128
	}
	{
		map textures/ctf_unified/weapfloor_1.tga
		blendfunc blend
		rgbGen identity
		depthFunc equal
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
		depthFunc equal
	}
	{
		map textures/ctf_unified/weapfloor_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}


/////////////////////////////////////////////////////////////////////
////////// Hanging Banners //////////////////////////////////////////
/////////////////////////////////////////////////////////////////////

textures/ctf_unified/banner01_blue
{
	qer_editorimage textures/ctf_unified/banner01_blue.tga
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull none
	tessSize 64
	deformVertexes wave 194 sin 0 3 0 .4
	deformVertexes normal .3 .2
	nopicmip

	{
		map textures/ctf_unified/banner01_blue.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/sfx/shadow.tga
		tcGen environment
		blendFunc filter
		rgbGen identity
	}
}

textures/ctf_unified/banner01_red
{
	qer_editorimage textures/ctf_unified/banner01_red.tga
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull none
	tessSize 64
	deformVertexes wave 194 sin 0 3 0 .4
	deformVertexes normal .3 .2
	nopicmip

	{
		map textures/ctf_unified/banner01_red.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/sfx/shadow.tga
		tcGen environment
		blendFunc filter
		rgbGen identity
	}
}

textures/ctf_unified/banner02_blue
{
	qer_editorimage textures/ctf_unified/banner02_blue.tga
	qer_trans 0.4
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7
	nopicmip

	{
		map textures/ctf_unified/banner02_blue.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}

textures/ctf_unified/banner02_red
{
	qer_editorimage textures/ctf_unified/banner02_red.tga
	qer_trans 0.4
	surfaceparm alphashadow
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7
	nopicmip

	{
		map textures/ctf_unified/banner02_red.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}

textures/ctf_unified/banner02_toast_blue
{
	qer_editorimage textures/ctf_unified/banner02_toast_blue.tga
	qer_trans 0.4
	surfaceparm alphashadow
	surfaceparm trans	
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	deformVertexes wave 100 sin 0 1 0 .1
	deformVertexes wave 100 sin 0 1 0 .2
	nopicmip

	{
		map textures/ctf_unified/banner02_toast_blue.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}

}

textures/ctf_unified/banner02_toast_red
{
	qer_editorimage textures/ctf_unified/banner02_toast_red.tga
	qer_trans 0.4
	surfaceparm alphashadow
	surfaceparm trans	
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	deformVertexes wave 100 sin 0 1 0 .1
	deformVertexes wave 100 sin 0 1 0 .2
	nopicmip

	{
		map textures/ctf_unified/banner02_toast_red.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}

}

textures/ctf_unified/banner03_blue
{
	qer_editorimage textures/ctf_unified/banner03_blue.tga
	qer_trans 0.4
	surfaceparm alphashadow
	surfaceparm trans	
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7
	nopicmip

	{
		map textures/ctf_unified/banner03_blue.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}

textures/ctf_unified/banner03_red
{
	qer_editorimage textures/ctf_unified/banner03_red.tga
	qer_trans 0.4
	surfaceparm alphashadow
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7
	nopicmip

	{
		map textures/ctf_unified/banner03_red.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}

textures/ctf_unified/banner04_blue
{
	qer_editorimage textures/ctf_unified/banner04_blue.tga
	qer_trans 0.4
	surfaceparm alphashadow
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7
	nopicmip

	{
		map textures/ctf_unified/banner04_blue.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}

textures/ctf_unified/banner04_red
{
	qer_editorimage textures/ctf_unified/banner04_red.tga
	qer_trans 0.4
	surfaceparm alphashadow
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7
	nopicmip

	{
		map textures/ctf_unified/banner04_red.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}

/////////////////////////////////////////////////////////////////////
////////// Base Plaques /////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
/*
textures/ctf_unified/plaque_notshiny_blue
{
	qer_editorimage textures/ctf_unified/plaque_alpha_blue.tga
	nopicmip
	
	{
		map textures/ctf_unified/plaque_alpha_blue.tga
		rgbGen identity
	}
	{	map $lightmap
		rgbgen identity
		blendfunc filter
	}

}

textures/ctf_unified/plaque_notshiny_red
{
	qer_editorimage textures/ctf_unified/plaque_alpha_red.tga
	nopicmip

	{
		map textures/ctf_unified/plaque_alpha_red.tga
		rgbGen identity
	}
	{	map $lightmap
		rgbgen identity
		blendfunc filter
	}

}

textures/ctf_unified/plaque_shiny_blue
{
	qer_editorimage textures/ctf_unified/plaque_alpha_blue.tga
	nopicmip

	{
		map textures/ctf_unified/blueenvmap.tga
		tcGen environment
	}
	{
		map textures/ctf_unified/plaque_alpha_blue.tga
		blendFunc GL_ONE_MINUS_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity
	}	
} 

textures/ctf_unified/plaque_shiny_red
{
	qer_editorimage textures/ctf_unified/plaque_alpha_red.tga
	nopicmip

	{
		map textures/ctf_unified/redenvmap.tga
		tcGen environment
	}
	{
		map textures/ctf_unified/plaque_alpha_red.tga
		blendFunc GL_ONE_MINUS_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity
	}	
} 
*/
/////////////////////////////////////////////////////////////////////
////////// Small Wall Team Decals ///////////////////////////////////
/////////////////////////////////////////////////////////////////////

textures/ctf_unified/wall_decal_blue
{ 
    
	qer_editorimage textures/ctf_unified/wall_logo_blue.tga
	surfaceparm trans	
//	surfaceparm alphashadow
	surfaceparm nomarks	
	cull none
	nopicmip

    {
	map textures/ctf_unified/wall_logo_blue.tga
	blendFunc GL_ONE GL_ZERO
	alphaFunc GE128
	depthWrite
	rgbGen identity
    }
    {
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
    }
}

textures/ctf_unified/wall_decal_red
{ 
    
	qer_editorimage textures/ctf_unified/wall_logo_red.tga
	surfaceparm trans	
//	surfaceparm alphashadow
	surfaceparm nomarks	
	cull none
	nopicmip

   {
	map textures/ctf_unified/wall_logo_red.tga
	blendFunc GL_ONE GL_ZERO
	alphaFunc GE128
	depthWrite
	rgbGen identity
   }
   {
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
   }
}

/////////////////////////////////////////////////////////////////////
////////////// Large Floor Team Logo Decals /////////////////////////
/////////////////////////////////////////////////////////////////////

textures/ctf_unified/floor_decal_blue
{       	
	qer_editorimage textures/ctf_unified/floor_logo_blue.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nomarks
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/ctf_unified/floor_logo_blue.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
		depthWrite
	}
}

textures/ctf_unified/floor_decal_red
{       	
	qer_editorimage textures/ctf_unified/floor_logo_red.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nomarks
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/ctf_unified/floor_logo_red.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
		depthWrite
	}
}

/////////////////////////////////////////////////////////////////////
////// Monochrome Bright TA Style Floor Team Logo Decals ////////////
/////////////////////////////////////////////////////////////////////

textures/ctf_unified/monologo_flash_blue

{       	
	qer_editorimage textures/ctf_unified/floor_monologo_blue.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/ctf_unified/floor_monologo_blue.tga
		blendFunc Add
		rgbGen wave sin 1 .5 0 .2
	}
}

textures/ctf_unified/monologo_flash_red

{       	
	qer_editorimage textures/ctf_unified/floor_monologo_red.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/ctf_unified/floor_monologo_red.tga
		blendFunc Add
		rgbGen wave sin 1 .5 0 .2
	}
}

textures/ctf_unified/monologo_noflash_blue

{       	
	qer_editorimage textures/ctf_unified/floor_monologo_blue.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/ctf_unified/floor_monologo_blue.tga
		blendFunc Add
		rgbgen identity
	}
}

textures/ctf_unified/monologo_noflash_red

{       	
	qer_editorimage textures/ctf_unified/floor_monologo_red.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/ctf_unified/floor_monologo_red.tga
		blendFunc Add
		rgbgen identity
	}
}


/////////////////////////////////////////////////////////////////////
////// Monochrome World Lit Solid Floor Team Logo Decals ////////////
/////////////////////////////////////////////////////////////////////

textures/ctf_unified/monologo_solid_blue
{      
	qer_editorimage textures/ctf_unified/floor_monologo_blue.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/ctf_unified/floor_monologo_blue.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}

textures/ctf_unified/monologo_solid_red
{      
	qer_editorimage textures/ctf_unified/floor_monologo_red.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/ctf_unified/floor_monologo_red.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}




/////////////////////////////////////////////////////////////////////
////////// Direction Decals /////////////////////////////////////////
/////////////////////////////////////////////////////////////////////

textures/ctf_unified/direction_blue
{    
	surfaceparm nomarks   
	surfaceparm trans
	surfaceparm pointlight
    nopicmip

	{
		map textures/ctf_unified/direction_blue.tga
                blendFunc add
		rgbGen vertex
	}
}

textures/ctf_unified/direction_red
{    
	surfaceparm nomarks 
	surfaceparm trans  
	surfaceparm pointlight
    nopicmip

	{
		map textures/ctf_unified/direction_red.tga
                blendFunc add
		rgbGen vertex
	}
}

textures/ctf_unified/direction_faded_blue
{    
	surfaceparm nomarks   
	surfaceparm trans
	surfaceparm pointlight
	nopicmip

	{
		map textures/ctf_unified/direction_faded_blue.tga
                blendFunc add
		rgbGen vertex
	}
} 

textures/ctf_unified/direction_faded_red
{    
	surfaceparm nomarks   
	surfaceparm trans
	surfaceparm pointlight
   	nopicmip

	{
		map textures/ctf_unified/direction_faded_red.tga
                blendFunc add
		rgbGen vertex
	}
} 

textures/ctf_unified/pointer_blue
{    
	qer_trans 0.4
	surfaceparm nomarks   
	surfaceparm trans
	surfaceparm pointlight
    nopicmip

	{
		map textures/ctf_unified/pointer_blue.tga
                blendFunc add
		rgbGen vertex
	}
}

textures/ctf_unified/pointer_red
{    
	qer_trans 0.4
	surfaceparm nomarks 
	surfaceparm trans  
	surfaceparm pointlight
    nopicmip

	{
		map textures/ctf_unified/pointer_red.tga
                blendFunc add
		rgbGen vertex
	}
}

textures/ctf_unified/pointer_left_blue
{    
	qer_trans 0.4
	surfaceparm nomarks   
	surfaceparm trans
	surfaceparm pointlight
    nopicmip

	{
		map textures/ctf_unified/pointer_left_blue.tga
                blendFunc add
		rgbGen vertex
	}
}

textures/ctf_unified/pointer_left_red
{    
	qer_trans 0.4
	surfaceparm nomarks 
	surfaceparm trans  
	surfaceparm pointlight
    nopicmip

	{
		map textures/ctf_unified/pointer_left_red.tga
                blendFunc add
		rgbGen vertex
	}
}

textures/ctf_unified/pointer_right_blue
{    
	qer_trans 0.4
	surfaceparm nomarks   
	surfaceparm trans
	surfaceparm pointlight
    nopicmip

	{
		map textures/ctf_unified/pointer_right_blue.tga
                blendFunc add
		rgbGen vertex
	}
}

textures/ctf_unified/pointer_right_red
{    
	qer_trans 0.4
	surfaceparm nomarks 
	surfaceparm trans  
	surfaceparm pointlight
    nopicmip

	{
		map textures/ctf_unified/pointer_right_red.tga
                blendFunc add
		rgbGen vertex
	}
}
