//pukka3dm1
textures/pukka3dm1/beam_blue
{
	qer_editorimage textures/pukka3dm1/beam_blue4.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .4
	cull none
	nopicmip

	{
		map textures/pukka3dm1/beam_blue4.tga
		tcMod Scroll .3 0
		blendFunc add
	} 
}


//pukka3tourney1
//wall lights from Q3A 
models/mapobjects/tree/branch
{
  cull disable
  deformVertexes wave 100 sin 0 .1 0 .2
  surfaceparm	trans
  nopicmip

	{
		map models/mapobjects/tree/branch.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/tree2/branch2
{
  surfaceparm nolightmap
  surfaceparm trans	
  surfaceparm nomarks	
  cull none
  sort 10
  nopicmip
	{
		clampmap models/mapobjects/tree2/branch2.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR        
	}
}

textures/liquids/clear_ripple3
{
	qer_editorimage textures/liquids/pool3d_3c.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	nopicmip

	{ 
		map textures/liquids/pool3d_5c.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/liquids/pool3d_6c.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/liquids/pool3d_3c.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

//pukka3tourney2
models/mapobjects/portal1/portal
{
	tesssize 32
	deformVertexes wave 10 sin 0 3 0 .5  
	cull none
	nopicmip
	{
		clampMap models/mapobjects/portal1/portal_inner.tga
		blendFunc GL_ONE GL_ONE
	}
	{
		clampMap models/mapobjects/portal1/portal_outer.tga
		blendFunc GL_ONE GL_ONE
		tcmod rotate -140
	}
	{
		clampMap models/mapobjects/portal1/portal_outer.tga
		blendFunc GL_ONE GL_ONE
		tcmod rotate 100
	}
	{
		clampMap models/mapobjects/portal1/portal_outer.tga
		blendFunc GL_ONE GL_ONE
		tcmod rotate 60
	}		
}

models/mapobjects/portal2/portal
{
	tesssize 32
	deformVertexes wave 10 sin 0 3 0 .5  
	cull none
	nopicmip
	{
		clampMap models/mapobjects/portal2/portal_inner.tga
		blendFunc GL_ONE GL_ONE
	}
	{
		clampMap models/mapobjects/portal2/portal_outer.tga
		blendFunc GL_ONE GL_ONE
		tcmod rotate -140
	}
	{
		clampMap models/mapobjects/portal2/portal_outer.tga
		blendFunc GL_ONE GL_ONE
		tcmod rotate 100
	}
	{
		clampMap models/mapobjects/portal2/portal_outer.tga
		blendFunc GL_ONE GL_ONE
		tcmod rotate 60
	}		
}


textures/pukka3tourney2/beam1
{
		sort 16
		qer_editorimage textures/pukka3tourney2/s1.jpg
		surfaceparm nonsolid
		surfaceparm trans
		surfaceparm nolightmap
		cull disable
		deformVertexes autosprite2
		nopicmip
	{
		clampmap textures/pukka3tourney2/s1.jpg
		blendfunc add
	}
}

textures/pukka3tourney2/beam2
{
		sort 16
		qer_editorimage textures/pukka3tourney2/s2.jpg
		surfaceparm nonsolid
		surfaceparm trans
		surfaceparm nolightmap
		cull disable
		deformVertexes autosprite2
		nopicmip
	{
		clampmap textures/pukka3tourney2/s2.jpg
		blendfunc add
	}
}

textures/pukka3tourney2/crack04
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   nopicmip
   { 
      map textures/pukka3tourney2/crack04.tga 
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity
      detail
   } 
}

textures/pukka3tourney2/splat01
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   nopicmip
   { 
      map textures/pukka3tourney2/splat01.tga 
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
      detail
   } 
}


textures/pukka3tourney2/splat02
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   nopicmip
   { 
      map textures/pukka3tourney2/splat02.tga 
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
      detail
   } 
}


textures/pukka3tourney2/splat03
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   nopicmip
   { 
      map textures/pukka3tourney2/splat03.tga 
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
      detail
   } 
}


textures/pukka3tourney2/splat04
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   nopicmip
   { 
      map textures/pukka3tourney2/splat04.tga 
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
      detail
   } 
}


textures/pukka3tourney2/splat05
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   nopicmip
   { 
      map textures/pukka3tourney2/splat05.tga 
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
      detail
   } 
}


textures/pukka3tourney2/splat06
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   nopicmip
   { 
      map textures/pukka3tourney2/splat06.tga 
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
      detail
   } 
}


textures/pukka3tourney2/splat07
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   nopicmip
   { 
      map textures/pukka3tourney2/splat07.tga 
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
      detail
   } 
}


textures/pukka3tourney2/hand01
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   nopicmip
   { 
      map textures/pukka3tourney2/hand01.tga 
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
      detail
   } 
}

textures/pukka3tourney2/smear01
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   nopicmip
   { 
      map textures/pukka3tourney2/smear01.tga 
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
      detail
   } 
}

textures/pukka3tourney2/smear02
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   nopicmip
   { 
      map textures/pukka3tourney2/smear02.tga 
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
      detail
   } 
}

textures/pukka3tourney2/smear03
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   nopicmip
   { 
      map textures/pukka3tourney2/smear03.tga 
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
      detail
   } 
}


textures/pukka3tourney2/bullets02
{ 
   surfaceparm trans 
   surfaceparm nomarks 
   polygonOffset 
   qer_trans 0.5 
   sort 6 
   nopicmip
   { 
      map textures/pukka3tourney2/bullets02.tga 
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR 
      rgbGen identity 
      detail
   } 
}

textures/sfx/fan3bladeb
{
      cull disable
      surfaceparm trans	
      surfaceparm nolightmap
      sort 5
      nopicmip
        {
	        clampmap textures/sfx/fan3bladeb.tga
                blendFunc blend
                tcmod rotate 999
	        rgbGen identity
	}
        
}


//pukka3tourney3

models/mapobjects/el_jumppad/el_jumpp 
{
	nopicmip
	{
		map models/mapobjects/el_jumppad/el_basefx.tga
		tcmod scale 1 1
		rgbGen vertex
	}
	{
		map models/mapobjects/el_jumppad/el_rota.tga
		blendfunc add
		rgbGen vertex
		tcMod rotate -500
	}
	{
		map models/mapobjects/el_jumppad/el_rota.tga
		blendfunc add
		rgbGen vertex
		tcMod rotate -250
	}
	{
		map models/mapobjects/el_jumppad/el_basefx2.tga
		tcmod scale 1 1
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1 
	}
	{
		map models/mapobjects/el_jumppad/el_jumpp.tga
		blendfunc blend
		rgbGen vertex 
		alphaFunc GE128
	}
}

textures/pukka3tourney3/tele1
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	tessSize 64
	q3map_surfacelight 200
	nopicmip
	{
		map textures/effects/envmap.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/pukka3tourney3/tele1.tga
		blendfunc blend
		rgbGen identity
		tcMod turb 0 0.3 0 0.2
	}
	{
		map textures/effects/tinfx3.tga
		blendFunc GL_ONE GL_ONE
		tcGen environment
	}
}


//pukka3tourney4
textures/cardigan_skies/nebula2_purple_stars
{
	qer_editorimage textures/cardigan_skies1/dense_purple_nebula.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_sun 0.9 0.6 0.9 110 180 75
	skyParms env/cardigan/purewhitej 1200 -
	nopicmip
	{
		map textures/cardigan_skies1/starfield2.tga
		blendfunc add
		rgbGen wave noise 0.7 0.3 0 20 
		tcMod scroll 0.002 0.001
		tcMod scale 3 3
	}
	{
		map textures/cardigan_skies1/dense_purple_nebula.tga
		blendfunc filter
		tcMod scroll 0.03 0.02
	}

}

models/mapobjects/leafa
{
    cull disable
    surfaceparm alphashadow
    nopicmip
        {
                map models/mapobjects/leafa.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

models/mapobjects/leafb
{
    cull disable
    surfaceparm alphashadow
    nopicmip
        {
                map models/mapobjects/leafb.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

models/mapobjects/ferna
{
    cull disable
//    surfaceparm trans
    surfaceparm alphashadow
    nopicmip
        {
                map models/mapobjects/ferna.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

models/mapobjects/fernb
{
    cull disable
    surfaceparm alphashadow
//	surfaceparm trans
nopicmip
        {
                map models/mapobjects/fernb.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

models/mapobjects/tree3
{
   cull disable
   surfaceparm alphashadow
	//surfaceparm trans
	nopicmip
	
   {
      map models/mapobjects/tree3.tga
      alphaFunc GE128
		depthWrite
		rgbGen vertex
   }
}

textures/eq2/eq2_telepanel
{
	qer_editorimage textures/eq2/eq2_telepanel.tga
	q3map_lightimage textures/eq2/eq2_telegoo.tga
	q3map_surfacelight 25
	nopicmip

	{
		map textures/eq2/eq2_telegoo.tga
		rgbGen identity
		tcMod turb 0 0.1 0 0.2
	}
	{
		map textures/eq2/eq2_telepanel.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}


textures/eq2/eq2_bounce 						//hmm probably not
{
	qer_editorimage textures/eq2/eq2_bounce.tga
	nopicmip
	
	{
		map textures/eq2/eq2_bounce.tga
		rgbGen identity
	}
	{
		clampmap textures/eq2/eq2_bouncefan.tga
		tcMod rotate 512
		blendFunc blend
		depthWrite
		rgbGen identity

	}
	{
		map textures/eq2/eq2_bounce.tga
		blendfunc blend
		rgbGen identity
	}
		{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}


//pukka3tourney5

//pukka3tourney6
textures/pukka3tourney6/light_round-64-a
{
	qer_editorimage textures/pukka3tourney6/light_round-64-a.tga
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm nonsolid
	q3map_surfacelight 850
	q3map_lightsubdivide 16
	q3map_lightimage textures/pukka3tourney6/color.tga
	nopicmip

	{
		map textures/pukka3tourney6/light_round-64-a.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
	{
		map textures/pukka3tourney6/light_round-64-a-shine.tga
		rgbGen wave noise 0.5 0.1 0.5 0.8
		blendfunc GL_ONE GL_ONE
	}
}

textures/pukka3tourney6/light_elipse-64-a
{
	qer_editorimage textures/pukka3tourney6/light_elipse-64-a.tga
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm nonsolid
	q3map_surfacelight 500
	q3map_lightsubdivide 16
	q3map_lightimage textures/pukka3tourney6/color2.tga
	nopicmip

	{
		map textures/pukka3tourney6/light_elipse-64-a.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
	{
		map textures/pukka3tourney6/light_elipse-64-a-shine.tga
		rgbGen wave noise 0.5 0.1 0.5 0.8
		blendfunc GL_ONE GL_ONE
	}
}

textures/pukka3tourney6/sewer_round_256-a
{
	qer_editorimage textures/pukka3tourney6/sewer_round_256-a.tga
	surfaceparm nodlight
	surfaceparm nonsolid
	nopicmip

	{
		map textures/pukka3tourney6/sewer_round_256-a.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/pukka3tourney6/concrete-jumppad-round
{	
   qer_editorimage textures/pukka3tourney6/concrete-jumppad-round.tga
   nopicmip

	{
	   map textures/pukka3tourney6/concrete-jumppad-round.tga
	   blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	   rgbGen identity
	}
	{
	   map $lightmap
	   blendFunc GL_DST_COLOR GL_ZERO
	   rgbGen identity
	}
	{
	   map textures/pukka3tourney6/jumppad-blend.tga
	   blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.5 0.025 0.5 10	
	} 
}



//pukka3tourney7

textures/pukka3tourney7/sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_noFog
	q3map_lightmapFilterRadius 0 8		
	q3map_sunExt .9 .95 .85 20 335 25 3 32
  	q3map_skylight 20 3
	qer_editorimage textures/pukka3tourney7/clouds.tga
	skyparms env/pukka3tourney7 768 -
	nopicmip

	{
		map textures/pukka3tourney7/clouds.tga
		tcMod scale 2 2 
		tcMod scroll 0.085 0.035
		rgbGen identity
		depthWrite
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/pukka3tourney7/clouds2.tga
		tcMod scale 4 4 
		tcMod scroll .025 0.0125
		blendfunc blend
	}
}

textures/pukka3tourney7/beam1
{
		sort 16
		qer_editorimage textures/pukka3tourney7/s1.jpg
		surfaceparm nonsolid
		surfaceparm trans
		surfaceparm nolightmap
		cull disable
		deformVertexes autosprite2
		q3map_cnq3_depthFade 16 0
		nopicmip
	{
		clampmap textures/pukka3tourney7/s1.jpg
		blendfunc add
	}
}

textures/pukka3tourney7/beam1_small
{
		sort 16
		qer_editorimage textures/pukka3tourney7/s1_small.jpg
		surfaceparm nonsolid
		surfaceparm trans
		surfaceparm nolightmap
		cull disable
		deformVertexes autosprite2
		nopicmip
	{
		clampmap textures/pukka3tourney7/s1_small.jpg
		blendfunc add
	}
}


textures/pukka3tourney7/beam_white
{
		sort 16
		qer_editorimage textures/pukka3tourney7/s1_small-white.jpg
		surfaceparm nonsolid
		surfaceparm trans
		surfaceparm nolightmap
		cull disable
		deformVertexes autosprite2
		nopicmip
	{
		clampmap textures/pukka3tourney7/s1_small-white.jpg
		blendfunc add
	}
}

textures/pukka3tourney7/beam_yellow
{
		sort 16
		qer_editorimage textures/pukka3tourney7/s1_small-yellow.jpg
		surfaceparm nonsolid
		surfaceparm trans
		surfaceparm nolightmap
		cull disable
		deformVertexes autosprite2
		q3map_cnq3_depthFade 8 0
		nopicmip
	{
		clampmap textures/pukka3tourney7/s1_small-yellow.jpg
		blendfunc add
	}
}

textures/pukka3tourney7/beam_red
{
		sort 16
		qer_editorimage textures/pukka3tourney7/s2.jpg
		surfaceparm nonsolid
		surfaceparm trans
		surfaceparm nolightmap
		cull disable
		deformVertexes autosprite2
		nopicmip
	{
		clampmap textures/pukka3tourney7/s2.jpg
		blendfunc add
	}
}

textures/pukka3tourney7/beam2_small
{
		sort 16
		qer_editorimage textures/pukka3tourney7/s3_small.jpg
		surfaceparm nonsolid
		surfaceparm trans
		surfaceparm nolightmap
		cull disable
		deformVertexes autosprite2
		nopicmip
	{
		clampmap textures/pukka3tourney7/s3_small.jpg
		blendfunc add
	}
}

textures/pukka3tourney7/decal-01
{
	
	polygonOffset
	surfaceparm nomarks
	sort 4
	nopicmip
	{
		map textures/pukka3tourney7/decal-01.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		detail
	}

}

textures/pukka3tourney7/decal-03
{
	
	polygonOffset
	surfaceparm nomarks
	sort 4
	nopicmip
	{
		map textures/pukka3tourney7/decal-03.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		detail
	}
}

textures/pukka3tourney7/decal-05
{
	
	polygonOffset
	surfaceparm nomarks
	sort 4
	nopicmip
	{
		map textures/pukka3tourney7/decal-05.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		detail
	}
}


/*

textures/pukka3tourney7/plant-01
{
	qer_editorimage textures/pukka3tourney7/plant-01.tga
//	** Remove the following line if creating the ASE **
	q3map_backShader textures/pukka3tourney7/plant-01_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	nopicmip

	{
		map textures/pukka3tourney7/plant-01.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/pukka3tourney7/plant-01_back
{
	qer_editorimage textures/pukka3tourney7/plant-01.tga
	q3map_vertexScale 2
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip
	{
		map textures/pukka3tourney7/plant-01.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
textures/pukka3tourney7/plant-02
{
	qer_editorimage textures/pukka3tourney7/plant-02.tga
//	** Remove the following line if creating the ASE **
	q3map_backShader textures/pukka3tourney7/plant-02_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	nopicmip
	{
		map textures/pukka3tourney7/plant-02.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/pukka3tourney7/plant-02_back
{
	qer_editorimage textures/pukka3tourney7/plant-02.tga
	q3map_vertexScale 2
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip
	{
		map textures/pukka3tourney7/plant-02.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
*/