//ct3dm5

textures/ct3dm5/eq2_bounce
{
	qer_editorimage textures/ct3dm5/eq2_bounce.tga
	nopicmip
	
	{
		map textures/ct3dm5/eq2_bounce.tga
		rgbGen identity
	}
	{
		clampmap textures/ct3dm5/eq2_bouncefan.tga
		tcMod rotate 512
		blendFunc blend
		depthWrite
		rgbGen identity
	}
	{
		map textures/ct3dm5/eq2_bounce.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ct3dm5/eq2_banner
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
     deformVertexes wave 30 sin 0 2 0 .2
     deformVertexes wave 100 sin 0 2 0 .7
     nopicmip
     
	{
        map textures/ct3dm5/eq2_banner.tga
        alphaFunc GE128
		depthWrite
		rgbGen identity
    }
    {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/ct3dm5/beam_1_yellow
{
	qer_editorimage textures/ct3dm5/beam_1_yellow.tga
    	surfaceparm trans	
    	surfaceparm nomarks	
    	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
	nopicmip

	{
		map textures/ct3dm5/beam_1_yellow.tga
        	tcMod Scroll .3 0
        	blendFunc add
     }
}

textures/ct3dm5/eq2_telepanel
{
	qer_editorimage textures/ct3dm5/eq2_telepanel.tga
	q3map_lightimage textures/ct3dm5/eq2_telegoo.tga
	q3map_surfacelight 25
	nopicmip
	{
		map textures/ct3dm5/eq2_telegoo.tga
		rgbGen identity
		tcMod turb 0 0.1 0 0.2
	}
	{
		map textures/ct3dm5/eq2_telepanel.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ct3dm5/lava_1000
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 1000
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 10 sin 3 2 .1 0.1
	nopicmip
	
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
	}
}
/*
textures/ct3dm5/flare_red
{
	qer_editorimage textures/ct3dm5/flare_red.tga
	surfaceparm trans
	surfaceparm nomarks
    	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans 0.5
	cull none
	deformVertexes autosprite
	nopicmip
	q3map_cnq3_depthFade 8 16
	{
		map textures/ct3dm5/flare_red.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
	}
}

textures/ct3dm5/flare_yellow
{
	qer_editorimage textures/ct3dm5/flare_yellow.tga
	surfaceparm trans
	surfaceparm nomarks
    	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans 0.5
	cull none
	deformVertexes autosprite
	nopicmip
	q3map_cnq3_depthFade 8 -8
	{
		map textures/ct3dm5/flare_yellow.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
	}
}
*/


//avrdm1b
textures/ecel/ecel_bounce_mfloor
{
	q3map_lightimage textures/ecel/ecel_bounce.blend.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	nopicmip
	
	{
		map textures/ecel/ecel_bounce_mfloor.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/ecel/ecel_bounce.blend.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		clampmap textures/ecel/ecel_bouncesmall.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5 
		tcMod stretch sin 1.2 0.8 0 1.5 
	}
}

//ct3ctf1
textures/ct3ctf1/jumppad_01_red
{
	q3map_lightimage textures/ct3ctf1/jumppadsmall_red.tga
	qer_editorimage textures/ct3ctf1/jumppadsmall_red.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct3ctf1/jumppad_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		clampmap textures/ct3ctf1/jumppadsmall_red.tga
		blendfunc add
		tcMod stretch sin 1.2 1.75 0 1.2
	}
}

textures/ct3ctf1/jumppad_01_blue
{
	q3map_lightimage textures/ct3ctf1/jumppadsmall_blue.tga
	qer_editorimage textures/ct3ctf1/jumppadsmall_blue.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct3ctf1/jumppad_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		clampmap textures/ct3ctf1/jumppadsmall_blue.tga
		blendfunc add
		tcMod stretch sin 1.2 1.75 0 1.2
	}
}

//ct3ctf2
textures/ct_ct3ctf2/jp_01
{
	surfaceparm nodamage
	qer_editorimage textures/ct_ct3ctf2/jp_01.tga
	nopicmip
	
	{
		map textures/ct_ct3ctf2/jp_01.tga
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/ct_ct3ctf2/bouncepad01b_layer1_teal.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/ct_ct3ctf2/jp_01_ring.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/ct_ct3ctf2/jp_01_alpha
{
	surfaceparm nodamage
	qer_editorimage textures/ct_ct3ctf2/jp_01_alpha.tga
	nopicmip

	{
		map textures/ct_ct3ctf2/jp_01_alpha.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
	{
		map textures/ct_ct3ctf2/bouncepad01b_layer1_teal.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/ct_ct3ctf2/jp_01_ring.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/ct_ct3ctf2/jp_01_red
{
	surfaceparm nodamage
	qer_editorimage textures/ct_ct3ctf2/jp_01.tga
	nopicmip

	{
		map textures/ct_ct3ctf2/jp_01.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/ct_ct3ctf2/bouncepad01r_layer1_teal.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/ct_ct3ctf2/jp_01_ring_red.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/ct_ct3ctf2/jp_01_red_alpha
{
	surfaceparm nodamage
	qer_editorimage textures/ct_ct3ctf2/jp_01_alpha.tga
	nopicmip

	{
		map textures/ct_ct3ctf2/jp_01_alpha.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
	{
		map textures/ct_ct3ctf2/bouncepad01r_layer1_teal.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/ct_ct3ctf2/jp_01_ring_red.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}



//13void
textures/13void/bounce_concrete_red
{
	qer_editorimage textures/sfx/bounce_concrete.tga
	q3map_lightimage textures/ctf/jumppadsmall_r.tga
	q3map_surfacelight 400
	nopicmip

	{
		map textures/sfx/bounce_concrete.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/ctf/bouncepad01b_layer1_r.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		clampmap textures/ctf/jumppadsmall_r.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5 
		tcMod stretch sin 1.2 0.8 0 1.5 
	}
}

textures/13void/bounce_concrete_blue
{
	qer_editorimage textures/sfx/bounce_concrete.tga
	q3map_lightimage textures/ctf/jumppadsmall_b.tga
	q3map_surfacelight 400
	nopicmip

	{
		map textures/sfx/bounce_concrete.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/ctf/bouncepad01b_layer1_b.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		clampmap textures/ctf/jumppadsmall_b.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5 
		tcMod stretch sin 1.2 0.8 0 1.5 
	}
}

//tsdocks
textures/tomboat/bluesea
{
	qer_editorimage textures/coraltwctf/watr1.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm water
	surfaceparm nomarks
	cull disable
	qer_nocarve
	deformVertexes wave 64 sin 0 2 0 0.1
	nopicmip

	{ 
		map textures/coraltwctf/watr1.tga
		blendFunc GL_dst_color GL_one
		rgbgen wave sin 0.4 0 0 0
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/liquids/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		rgbgen wave sin 0.4 0 0 0
		tcmod scale -.4 -.4
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

//tsdockswinter
textures/tomboat/frozensea
{
	qer_editorimage textures/coraltwctf/watr1.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm slick
	qer_nocarve
	nopicmip
	
	{ 
		map textures/coraltwctf/watr1.tga
		blendFunc GL_dst_color GL_one
		rgbgen wave sin 0.20 0 0
	}
	{ 
		map textures/liquids/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		rgbgen wave sin 0.4 0 0 0
		tcMod scale 0.5 0.5 
	}
}

//industrial
textures/hipshot_m10/movesquare1
{
	qer_editorimage textures/hipshot_m10/jumpring1.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes move 0 0 50 sawtooth 0 1 1 .8
	nopicmip
	
	{
		clampmap textures/hipshot_m10/jumpring1.jpg
		rgbGen wave sawtooth 1 -1 1 .8
		blendfunc add
	}
}

textures/hipshot_m10/movesquare2
{
	qer_editorimage textures/hipshot_m10/jumpring2.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes move 0 0 50 sawtooth 0 1 .875 .8
	nopicmip
	
	{
		clampmap textures/hipshot_m10/jumpring2.jpg
		rgbGen wave sawtooth 1 -1 .875 .8
		blendfunc add
	}
}

textures/hipshot_m10/movesquare3
{
	qer_editorimage textures/hipshot_m10/jumpring3.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes move 0 0 50 sawtooth 0 1 .75 .8
	nopicmip
	
	{
		clampmap textures/hipshot_m10/jumpring3.jpg
		rgbGen wave sawtooth 1 -1 .75 .8
		blendfunc add
	}
}

textures/hipshot_m10/movesquare4
{
	qer_editorimage textures/hipshot_m10/jumpring4.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes move 0 0 50 sawtooth 0 1 .625 .8
	nopicmip
	
	{
		clampmap textures/hipshot_m10/jumpring4.jpg
		rgbGen wave sawtooth 1 -1 .625 .8
		blendfunc add
	}
}


//akumacpm1a
textures/akumacpm1a/u_floor3_pad_8
{
	qer_editorimage textures/akumacpm1a/u_floor3_pad_8.tga
	q3map_lightimage textures/akumacpm1a/u_floor_pan4_l_blend.tga
	surfaceparm nodamage
	q3map_surfacelight 150
	nopicmip
	{
		map textures/akumacpm1a/u_floor3_pad_8.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/akumacpm1a/u_floor_pan4_l_blend.tga
		blendfunc add
		rgbGen wave sin 0.8 0.1 0 2 
		tcMod stretch sawtooth 0.83 0.1 1 0 
		tcMod scale 2 2
	}
	{
		map textures/akumacpm1a/u_floor_pan4_l_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
		rgbGen wave sin 0.4 0.1 0 1 
		tcMod stretch sawtooth 1.7 1 1 1 
		tcMod rotate 90
	}
}

textures/akumacpm1a/ixlava_2500
{
	qer_editorimage textures/akumacpm1a/lava01.jpg
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 2500
	cull disable
	nopicmip
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/akumacpm1a/lava01.jpg
		tcMod turb 0 .2 0 .1
	}
}

//invertedpenguin
textures/inpe/m_m/meat_metal_grate_F
{
	q3map_lightimage textures/inpe/m_m/meat_metal_grate_F.tga
	qer_trans .5
	surfaceparm alphashadow
	surfaceparm trans	
	cull none
	nopicmip
	{
		map textures/inpe/m_m/meat_metal_grate_F.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}
textures/inpe/m_m/metal_rustygrate
{
	q3map_lightimage textures/inpe/m_m/metal_rustygrate.tga
	qer_trans .5
	//surfaceparm alphashadow
	surfaceparm trans	
	cull none
	nopicmip
	{
		map textures/inpe/m_m/metal_rustygrate.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}
textures/inpe/m_m/metal_grateroundhole
{
	q3map_lightimage textures/inpe/m_m/metal_grateroundhole.tga
	qer_trans .5
	//surfaceparm alphashadow
	surfaceparm trans	
	cull none
	nopicmip
	{
		map textures/inpe/m_m/metal_grateroundhole.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/inpe/m_liq/meat_liquid_bloodpool_A
{
	qer_editorimage textures/inpe/m_liq/meat_liquid_bloodpool_A.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm lava
	deformVertexes wave 64 sin .25 .25 0 .5
	cull disable
	nopicmip
	{ 
		map textures/inpe/m_liq/meat_liquid_bloodpool_A.tga
		blendFunc GL_ONE GL_ONE
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .005 .01
	}
	{ 
		map textures/inpe/m_liq/meat_liquid_bloodpool_B.tga
		blendFunc GL_ZERO GL_SRC_COLOR
		tcmod scale -.5 -.5
		tcmod scroll .01 .005
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity		
	}
}
textures/inpe/m_liqs/liquid_water_01	
{
	qer_editorimage textures/inpe/m_liqs/liquid_water_01.jpg
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	nopicmip
	{ 
		map textures/inpe/m_liqs/liquid_water_01.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}

	{ 
		map textures/inpe/m_liqs/liquid_water_01.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}


	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/inpe/m_p/meat_pad_xpad_A
{
	qer_editorimage textures/inpe/m_p/meat_pad_xpad_A.tga
	nopicmip
	{
		map textures/inpe/m_p/meat_pad_xpad_A.tga
		rgbGen identity
	}	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}	
	{
		animMap 20 textures/inpe/m_p/meat_pad_xpad_A_01.tga textures/inpe/m_p/meat_pad_xpad_A_02.tga textures/inpe/m_p/meat_pad_xpad_A_03.tga textures/inpe/m_p/meat_pad_xpad_A_04.tga textures/inpe/m_p/meat_pad_xpad_A_05.tga
		blendfunc gl_one gl_one
		rgbGen wave square 0 .5 0 1.0
	}
	{
		animMap 20 textures/inpe/m_p/meat_pad_xpad_A_01.tga textures/inpe/m_p/meat_pad_xpad_A_02.tga textures/inpe/m_p/meat_pad_xpad_A_03.tga textures/inpe/m_p/meat_pad_xpad_A_04.tga textures/inpe/m_p/meat_pad_xpad_A_05.tga
		blendfunc gl_one gl_one
		rgbGen wave square 0 .5 0 .8
	}
}

textures/inpe/cpm23/slipgate2
{
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	q3map_surfacelight 100
	tesssize 32
	qer_editorimage textures/inpe/cpm23/slip3.tga
	q3map_globaltexture
	nopicmip
	{
		map textures/inpe/cpm23/slip3.tga
		tcMod scroll 0 .4
		tcMod turb 0 0.1 0.3 0.12
	}
	{
		map textures/inpe/cpm23/slip4.tga
		tcMod scroll 0 -.4
		tcMod turb 0 0.1 0.3 0.12
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/inpe/redfogdense
{
	qer_editorimage textures/inpe/redfogdense.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( .55 .11 .1 ) 128
	nopicmip	
	{
		map textures/inpe/redfogdense.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/inpe/redfogdense.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

//sfdm2
textures/liquids/clear_ripple2		//baseq3
{
	qer_editorimage textures/liquids/pool3d_3b.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	nopicmip
	{ 
		map textures/liquids/pool3d_5b.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/liquids/pool3d_6b.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/liquids/pool3d_3b.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/skies/xtoxicskytim_q3dm5		//baseq3_tim
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 400
	q3map_sun	.5 .6 .8 150 30 60
	qer_editorimage textures/skies/toxicbluesky.tga
	skyparms - 512 -
	nopicmip
	{
		map textures/skies/bluedimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/skies/topclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}

//ospdm5a
textures/sfx/metalbridge06_bounce			//baseq3
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 400
	nopicmip
	
	{
		map textures/sfx/metalbridge06_bounce.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/ospdm5a/clear_ripple2
{
	qer_editorimage textures/ospdm5a/pool3d_3b.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	nopicmip
	{ 
		map textures/ospdm5a/pool3d_5b.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/ospdm5a/pool3d_6b.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/ospdm5a/pool3d_3b.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}
